<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ include file="validar.jsp" %>
<!DOCTYPE html>
<html lang="es">
  <head>

    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta charset="utf-8" />
    <title>:::SISTEMA DE HORARIOS:::</title>

    <meta name="description" content="overview &amp; stats" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />


    <link href="css/display.css" rel="stylesheet" type="text/css"/>
    <link rel="stylesheet" href="../assets/css/bootstrap.css" />
    <link rel="stylesheet" href="../assets/css/font-awesome.css" />
    <link rel="stylesheet" href="../assets/css/jquery-ui.css" />
    <link rel="stylesheet" href="../assets/css/ace-fonts.css" />

    <link href="css/alert.css" rel="stylesheet" type="text/css"/>





    <link href="../assets/css/datepicker.css" rel="stylesheet" type="text/css"/>
    <link href="../assets/css/daterangepicker.css" rel="stylesheet" type="text/css"/>
    <link href="../assets/css/bootstrap-datetimepicker.css" rel="stylesheet" type="text/css"/>
    <link href="../assets/css/bootstrap-timepicker.css" rel="stylesheet" type="text/css"/>




    <link rel="stylesheet" href="../assets/css/ace.css" class="ace-main-stylesheet" id="main-ace-style" />
    <script src="../assets/js/ace-extra.js"></script>



    <!-- inline scripts related to this page -->
    <script type="text/javascript" language="javascript">

         /*$(document).ready( function() {
          jQuery("#registroEncuesta").validationEngine();
          });*/
    </script>
    <script type="text/javascript" language="javascript">

         function alertDGC(mensaje)
         {
            var dgcTiempo = 500
            var ventanaCS = '<div class="dgcAlert"><div class="dgcVentana"><div class="dgcCerrar"></div><div class="dgcMensaje">' + mensaje + '<br><div class="dgcAceptar">Aceptar</div></div></div></div>';
            $('body').append(ventanaCS);
            var alVentana = $('.dgcVentana').height();
            var alNav = $(window).height();
            var supNav = $(window).scrollTop();
            $('.dgcAlert').css('height', $(document).height());
            $('.dgcVentana').css('top', ((alNav - alVentana) / 2 + supNav - 100) + 'px');
            $('.dgcAlert').css('display', 'block');
            $('.dgcAlert').animate({opacity: 1}, dgcTiempo);
            $('.dgcCerrar,.dgcAceptar').click(function (e) {
               $('.dgcAlert').animate({opacity: 0}, dgcTiempo);
               setTimeout("$('.dgcAlert').remove()", dgcTiempo);
            });
         }



    </script>



    <style type="text/css">
      @media print {
        #vistaDoble {display:none}
        #iconoImprimir{display:none}
        #regresar{display:none}
        #inicioPage{display: none}
        #generarHorario{display: none}
        #tachoEliminar{display: none}
        #accionHorario{display: none}
      }




    </style>



  </head>

  <body class="no-skin" onLoad="cargar();">
    <script>
         window.alert = function (message) {
            alertDGC(message);
         };
    </script>


    <!-- #section:basics/navbar.layout -->
    <div id="navbar" class="navbar navbar-default">
      <script type="text/javascript">
           try {
              ace.settings.check('navbar', 'fixed')
           } catch (e) {
           }
      </script>

      <div class="navbar-container" id="navbar-container">
        <%@ include file="banner.jsp" %>
      </div><!-- /.navbar-container -->
      <p id="lblUsuario"><%=usuario!=null?usuario.getCodigoTipoUsuario():""%></p>
    </div>

    <!-- /section:basics/navbar.layout -->
    <div class="main-container" id="main-container">
      <script type="text/javascript">
           try {
              ace.settings.check('main-container', 'fixed')
           } catch (e) {
           }
      </script>

      <!-- #section:basics/sidebar -->
      <div id="sidebar" class="sidebar                  responsive">
        <script type="text/javascript">
             try {
                ace.settings.check('sidebar', 'fixed')
             } catch (e) {
             }
        </script>
        <input id="codModulo" type="hidden" value="<%=menu!=null?menu.getCodModulo():""%>">
        <input id="codCategoria" type="hidden" value="<%=menu!=null?menu.getCodCategoria():""%>">
        <%@ include file="menu.jsp" %>
        <!-- #section:basics/sidebar.layout.minimize -->
        <div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
          <i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
        </div>
        <!-- /section:basics/sidebar.layout.minimize -->
        <script type="text/javascript">
             try {
                ace.settings.check('sidebar', 'collapsed')
             } catch (e) {
             }
        </script>
      </div>

      <!-- /section:basics/sidebar -->
      <div class="main-content">
        <div class="main-content-inner">
          <!-- #section:basics/content.breadcrumbs -->
          <div class="breadcrumbs" id="breadcrumbs">
            <script type="text/javascript">
                 try {
                    ace.settings.check('breadcrumbs', 'fixed')
                 } catch (e) {
                 }
            </script>

            <ul class="breadcrumb">
              <li>
                <i class="ace-icon fa fa-home home-icon"></i>
                <a href="principal.jsp" id="inicioPage">INICIO</a>
              </li>
              <li class="active">HORARIOS</li>
            </ul><!-- /.breadcrumb -->
          </div>

          <!-- /section:basics/content.breadcrumbs -->
          <div class="page-content">

            <div class="page-header">
              <h1>

                <icon style="cursor: pointer;" class="fa fa-arrow-left" onclick="regresar();" id="regresar"></icon> Horarios
                <small id="generarHorario">
                  <i class="ace-icon fa fa-angle-double-right"></i>
                  Generar Horario
                </small>

              </h1>
            </div><!-- /.page-header -->

            <div class="row">





              <!-- ----------- CONTENEDOR DE FORMULARIOS--------INI----- -->


              <!-- ----------------------------------------------------- -->
              <!--
                                                                      <div class="widget-box transparent">	
                                                                              <div class="widget-header widget-header-small">
                                                                                      <span class="widget-toolbar">
              
                                                                                              <a href="#" data-action="collapse">
                                                                                                      <i class="ace-icon fa fa-chevron-up"></i>
                                                                                              </a>
                                                                                      </span>
              
                                                                              </div>
                                                                              <div class="widget-body">
                                                                                      <div class="widget-main">
                                                                                              <div class="widget-toolbox clearfix">
                                                                                                      <div class="col-sm-4">
                                                                                                              <h3 class="header blue lighter smaller">
                                                                                                                      <i class="ace-icon fa fa-folder-o smaller-90"></i>
                                                                                                                      Plan Academico
                                                                                                              </h3>
              
                                                                                                              <div id="tabs">
                                                                                                                      <ul>
                                                                                                                              <li>
                                                                                                                                      <a href="#tabs-1">Matematicas</a>
                                                                                                                              </li>
              
                                                                                                                              <li>
                                                                                                                                      <a href="#tabs-2">Comunicacion</a>
                                                                                                                              </li>
              
                                                                                                                              <li>
                                                                                                                                      <a href="#tabs-3">Ciencias</a>
                                                                                                                              </li>
                                                                                                                              <li>
                                                                                                                                      <a href="#tabs-4">C.T.A</a>
                                                                                                                              </li>
                                                                                                                              <li>
                                                                                                                                      <a href="#tabs-5">C.E.F</a>
                                                                                                                              </li>
                                                                                                                      </ul>
              
                                                                                                                      <div id="tabs-1">
              
                                                                                                                              <form>
                                                                                                                                      <a href="javascript:confirmarMatematica();" id="btnGuardarMatematica"><p style="text-align: right;">Guardar</p></a>
                                                                                                                                      <fieldset data-role = "controlgroup" data-type = "horizontal">
                                                                                                                                              <input value="1" type = "checkbox" name="chkMate" id = "checkbox 1" style="margin-left: 3px;"/>
                                                                                                                                              <label for = "checkbox 1">Aritmetica</label>
              
                                                                                                                                              <input value="2" type = "checkbox" name="chkMate" id = "checkbox 2" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 2">Algebra</label>
              
                                                                                                                                              <input value="3" type = "checkbox" name="chkMate" id = "checkbox 3" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 3">Geometria</label>
                                                                                                                                              <input value="4" type = "checkbox" name="chkMate" id = "checkbox 3" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 3">Trigonometria</label>
                                                                                                                                              <input value="5" type = "checkbox" name="chkMate" id = "checkbox 3" style="margin-left: 6px;"/>
                                                                                                                                              <label for = "checkbox 3">Raz Matematico</label>
                                                                                                                                      </fieldset>
                                                                                                                              </form>
                                                                                                                        </div>
              
                                                                                                                      <div id="tabs-2">
                                                                                                                              <form>
                                                                                                                                      <a href="javascript:confirmarComunicacion();"><p style="text-align: right;">Guardar</p></a>
                                                                                                                                      <fieldset data-role = "controlgroup" data-type = "horizontal">
                                                                                                                                              <input value="7" type = "checkbox" name="chkComunicacion" id = "checkbox 1" style="margin-left: 3px;"/>
                                                                                                                                              <label for = "checkbox 1">Lenguaje</label>
              
                                                                                                                                              <input value="8" type = "checkbox" name="chkComunicacion" id = "checkbox 2" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 2">Literatura</label>
              
                                                                                                                                              <input value="9" type = "checkbox" name="chkComunicacion" id = "checkbox 3" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 3">Raz. Verbal</label>
                                                                                                                                              <input value="10" type = "checkbox" name="chkComunicacion" id = "checkbox 3" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 3">Teatro y Oratoria</label>
                                                                                                                                              <input value="11" type = "checkbox" id = "checkbox 3" style="margin-left: 6px;"/>
                                                                                                                                              <label for = "checkbox 3">Ingles</label>
                                                                                                                                              <input value="12" type = "checkbox" name="chkComunicacion" id = "checkbox 3" style="margin-left: 6px;"/>
                                                                                                                                              <label for = "checkbox 3">Comprension Lectura</label>
              
                                                                                                                                      </fieldset>
                                                                                                                              </form>
                                                                                                                      </div>
              
                                                                                                                      <div id="tabs-3">
                                                                                                                              <form>
                                                                                                                                      <a href="javascript:confirmarCiencias();"><p style="text-align: right;">Guardar</p></a>
                                                                                                                                      <fieldset data-role = "controlgroup" data-type = "horizontal">
                                                                                                                                              <input value="12" name="chkCiencias" type = "checkbox" id = "checkbox 1" style="margin-left: 3px;"/>
                                                                                                                                              <label for = "checkbox 1">H. del Peru</label>
              
                                                                                                                                              <input value="13" name="chkCiencias" type = "checkbox" id = "checkbox 2" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 2">H. Universal</label>
              
                                                                                                                                              <input value="14" name="chkCiencias" type = "checkbox" id = "checkbox 3" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 3">Geografia</label>
                                                                                                                                              <input value="15" name="chkCiencias" type = "checkbox" id = "checkbox 3" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 3">Economia</label>
                                                                                                                                              <input value="16" name="chkCiencias" type = "checkbox" id = "checkbox 3" style="margin-left: 6px;"/>
                                                                                                                                              <label for = "checkbox 3">Psicologia</label>
                                                                                                                                              <input value="17" name="chkCiencias" type = "checkbox" id = "checkbox 3" style="margin-left: 6px;"/>
                                                                                                                                              <label for = "checkbox 3">Valores y Liderasgo</label>
                                                                                                                                      </fieldset>
                                                                                                                              </form>
                                                                                                                      </div>
                                                                                                                      <div id="tabs-4">
                                                                                                                              <form>
                                                                                                                                      <a href="javascript:confirmarCTA();"><p style="text-align: right;">Guardar</p></a>
                                                                                                                                      <fieldset data-role = "controlgroup" data-type = "horizontal">
                                                                                                                                              <input value="18" name="chkCTA" type = "checkbox" id = "checkbox 1" style="margin-left: 3px;"/>
                                                                                                                                              <label for = "checkbox 1">Fisica</label>
              
                                                                                                                                              <input value="19" name="chkCTA" type = "checkbox" id = "checkbox 2" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 2">Quimica</label>
              
                                                                                                                                              <input value="20" name="chkCTA" type = "checkbox" id = "checkbox 3" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 3">Biologia</label>
              
                                                                                                                                      </fieldset>
                                                                                                                              </form>
                                                                                                                      </div>
                                                                                                                      <div id="tabs-5">
                                                                                                                              <form>
                                                                                                                                      <a href="javascript:confirmarCEF();"><p style="text-align: right;">Guardar</p></a>
                                                                                                                                      <fieldset data-role = "controlgroup" data-type = "horizontal">
                                                                                                                                              <input name="chkCEF" value="6" type = "checkbox" id = "checkbox 1" style="margin-left: 3px;"/>
                                                                                                                                              <label for = "checkbox 1">Computacion</label>
              
                                                                                                                                              <input name="chkCEF" value="21" type = "checkbox" id = "checkbox 2" style="margin-left: 7px;"/>
                                                                                                                                              <label for = "checkbox 2">Educacion Fisica</label>
              
              
              
                                                                                                                                      </fieldset>
                                                                                                                              </form>
                                                                                                                      </div>
                                                                                                              </div>
                                                                                                      </div> ./col 
                                                                                              </div>
                                                                                      </div>
                                                                              </div>
                                                                      </div>
              
              -->



              <div class="col-sm-12" style="width:100%; height: 40px;">
                <center>
                  <a class="btn btn-sm  btn-primary" href="vistaDobleDisponibilidad.jsp" target="_blank" id="vistaDoble">Vista doble</a>
                  <a class="btn btn-app btn-light btn-xs align-left" onclick="window.print();" target="_blank" id="iconoImprimir">
                    <i class="ace-icon fa fa-print bigger-160"></i></a>


                </center>

              </div>
              <!-- ----------------------------------------------------- -->

              <div  class="col-sm-12" style="width:100%;">
                <div  class="col-sm-12">
                  <!-- -------------TABLA---INI------------ -->
                  <form id="formListado" name="formListado">
                    <div id='aula'> <!--style="display: none;"--> </div>
                  </form>
                  <!-- -------------TABLA---FIN------------ -->
                </div>
                <br><br>
                <center>
                  <!--<button class="btn btn-sm btn-primary" onclick="regresar();" type="button" id="regresar">
                                <i class="ace-icon fa fa-reply icon-on-right bigger-110"></i>
                                Regresar
                        </button>-->

                </center>
              </div>






              <!-- ----------- CONTENEDOR DE FORMULARIOS--------FIN----- -->

              <input type="hidden" id="codAulas">
              <input type="hidden" id="nomAulas">
              <input type="hidden" id="cantSelec">

              <input type="hidden" id="Hini">
              <input type="hidden" id="Hfin">


              <!-- ::::::::::-ALERTAS-::::::::::::::: -->


              <div id="dialog-noti1" class="hide">
                <br>
                --------------------------------
                <br><br>
              </div>

              <div id="dialog-noti2" class="hide">
                <br>
                Se registró con éxito.
                <br><br>
              </div>


              <div id="dialog-confor1" class="hide">
                <br>
                ¿Desea realizar la asignacion secuencial?
                <br><br>
              </div>

              <div id="dialog-confor2" class="hide">
                <br>
                ¿Está seguro de asignar el curso y el docente?
                <br><br>
              </div>

              <div id="dialog-advertencia1" class="hide">
                <br>
                Este curso ya está registrado en el horario.
                <br><br>
              </div>

              <div id="dialog-advertencia2" class="hide">
                <br>
                No se pueden asignar los horarios del docente de esta secuencia, por que existe un curso que hace cruce con la secuancia.
                <br><br>
              </div>

              <div id="dialog-advertencia3" class="hide">
                <br>
                <p>No se puede seleccionar esta casilla porque ya existe un docente seleccionado:</p>
                <div class="profile-activity clearfix" style='border:1px dotted #D0D8E0;'>
                  <div>
                    <i class="pull-left thumbicon fa fa-user btn-success no-hover"></i>
                    <!--<a class="user" href="#"> Alex Doe </a>-->
                    <span id='nom'></span>
                    <div class="time">
                      <i class="ace-icon fa fa-list bigger-110"></i>
                      Posición <span id='pos'></span>
                    </div>
                  </div>
                </div>
                <br><br>
              </div> 

              <div id="dialog-advertencia4" class="hide">
                <br>
                Falta completar algunos campos para continuar con la asignación.
                <br><br>
              </div> 

              <div id="dialog-eliminar" class="hide">
                <br>
                ¿Está seguro de eliminar este horario?
                <br><br>
              </div>

              <div id="dialog-eliminarM" class="hide">
                <br>
                ¿Está seguro de eliminar los horarios masivamente?
                <br><br>
              </div>

              <div id="dialog-eliminarTodo" class="hide">
                <br>
                ¿Está seguro de eliminar todo el horario del aula?
                <br><br>
              </div>
              <div id="dialog-eliminarBloque" class="hide">
                <br>
                ¿Está seguro de eliminar todo el aula?
                <br><br>
              </div>

              <!-- MODAL QUE NOS PERMITE PONER FECHA FIN -->
              <div id="dialog-fechafin" class="hide">
                <div class="col-sm-6">
                  <div class="row">

                    <div class="input-group input-group-sm">
                      <input type="text" id="datepicker" class="form-control" />
                      <span class="input-group-addon">
                        <i class="ace-icon fa fa-calendar"></i>
                      </span>
                    </div>

                  </div>
                </div>

              </div>

              <div id="dialog-fechaAviso" class="hide">
                <div class="col-sm-6">
                  <div class="row">

                    <div class="input-group input-group-sm">
                      <input type="text" id="datepicker4" class="form-control" />
                      <span class="input-group-addon">
                        <i class="ace-icon fa fa-calendar"></i>
                      </span>
                    </div>

                  </div>
                </div>

              </div>
              <div id="dialog-editarHorasHorario" class="hide">
                <div class="col-sm-6">
                  <div class="row">

                    <div class="input-group input-group-sm">
                      <label>Hora Inicio</label>
                      <input type="time" id="txtHoraInicio" class="form-control" />

                    </div>
                    <br>

                    <div class="input-group input-group-sm">
                      <label>Hora Fin</label>
                      <input type="time" id="txtHoraFin" class="form-control" />

                    </div>

                  </div>
                </div>

              </div>
              <div id="dialog-mostrarHorasHorario" class="hide">
                <div class="col-sm-6">
                  <div class="row">

                    <div class="input-group input-group-sm">
                      <label>Hora Inicio</label>
                      <input type="time" id="txtHoraInicioHorario" class="form-control" style="font-size: 15px;" />

                    </div>
                    <br>

                    <div class="input-group input-group-sm">
                      <label>Hora Fin</label>
                      <input type="time" id="txtHoraFinHorario" class="form-control"  style="font-size: 15px;" />

                    </div>

                  </div>
                </div>

              </div>

              <!-- MODAL QUE NOS PERMITE PONER FECHA INICIO -->
              <div id="dialog-fechainicio" class="hide">
                <div class="col-sm-6">

                  <div class="row">

                    <div class="input-group input-group-sm">
                      <input type="text" id="datepicker2" class="form-control" />
                      <span class="input-group-addon">
                        <i class="ace-icon fa fa-calendar"></i>
                      </span>
                    </div>

                  </div>
                </div><!-- ./span -->
              </div>

              <!-- MODAL QUE NOS PERMITE ARMAR LA RECUPERACION -->
              <div id="dialog-bloque" class="hide">	
                <br>
                Curso :  <strong id="lblcursoRecuperacion"></strong><br><br>

                Elegir Bloque:
                <select id="cboBloqueRecuperacion" onchange="pintarSpanNombre()">

                </select>
                <br><br><p style="visibility: hidden;font-weight: bold;" id="spanNombreAula"></p><br>
                Docente: 
                <div id="divDocentes">
                  <select id="cbDocentesRecuperacion" class='form-control' placeholder='[SELECCIONE]'>
                    <option>[SELECCIONE]</option>
                  </select>
                </div>
                <br>
                Fecha recuperacion: <br>

                <input class="form-control" id="datepicker3" placeholder="dd/mm/yyyy">
                <div>
                  Hora Inicio <input type="time" style="margin-top: 5px;font-size: 10pt;height: 2.5em;margin-right: 15px;" id="horaInicioRecuperacion">   Hora fin <input type="time" style="margin-top: 5px;font-size: 10pt;height: 2.5em;" id="horaFinRecuperacion">
                </div>
              </div>

              <div id="dialog-historyChange" class='hide'>

                <div id='divPintadoHistorial'>

                </div>


              </div>
              <div id="dialog-agregarAula" class='hide'>

                <p>Aulas :</p>
                <div id="divListadoAulasSede">

                </div>

              </div>

              <div id="dialog-cambioCurso" class='hide'>

                <div id='divCursoCombo2'>
                  <select>
                    <option>seleccione</option>
                  </select>
                </div>


              </div>


              <div id="dialog-armar1" class="hide">
                <br>
                <form id="RegistroArmado" method="post">
                  <div class="sttxt2" id="divRegistro"></div>
                </form>
                <br><div  class="col-sm-12"></div>
                <div class="sttxt2" id="divVistaPrevia" style="display:none;"></div>
                <br><br>
              </div>
              <div id="dialog-conforUpdateHoras1" class="hide">
                <br>
                ¿Está seguro de editar las horas de este curso?
                <br><br>
              </div>

              <div id="dialog-armar2" class="hide" style='overflow: hidden !important;'>
                <br>
                <form id="RegistroAsigCurDoc" name="RegistroAsigCurDoc" class="formular" method="post" >
                  <div class="row">


                    <div class="sttxt2" id="divRegistroCursoDocente"></div>
                    <br>
                    <div id="listadoCruce" style="display: none;">
                    </div>
                    <br>
                    <div class="col-sm-12" id="divFormularioCambio">

                    </div>
                  </div>
                </form>
                <br><br>
              </div>


              <div id="dialog-cargando" class="hide" style="z-index: 2001 !important;">
                <table cellpadding="0" cellspacing="0" width="100%">
                  <tr><td align="center"><img src="imagenes/cargando.gif" border=0></td></tr>
                </table>
              </div>

              <!-- ::::::::::-ALERTAS-::::::::::::::: -->


            </div><!-- /.row -->
          </div><!-- /.page-content -->
        </div>
      </div><!-- /.main-content -->

      <div class="footer">
        <%@ include file="footer.jsp" %>
      </div>

      <a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
        <i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
      </a>
    </div><!-- /.main-container -->

    <!-- basic scripts -->

    <!--[if !IE]> -->
    <script type="text/javascript">
         window.jQuery || document.write("<script src='../assets/js/jquery.js'>" + "<" + "/script>");
    </script>


    <!-- <![endif]-->

    <!--[if IE]>
<script type="text/javascript">
window.jQuery || document.write("<script src='../assets/js/jquery1x.js'>"+"<"+"/script>");
</script>
<![endif]-->
    <script type="text/javascript">
         if ('ontouchstart' in document.documentElement)
            document.write("<script src='../assets/js/jquery.mobile.custom.js'>" + "<" + "/script>");
    </script>
    <script src="../assets/js/bootstrap.js"></script>

    <!-- page specific plugin scripts -->
    <script src="../assets/js/jquery-ui.js"></script>
    <script src="../assets/js/jquery.ui.touch-punch.js"></script>

    <!--[if lte IE 8]>
                                    <script src="../assets/js/excanvas.js"></script>
    <![endif]-->
    <script src="../assets/js/jquery-ui.custom.js"></script>
    <script src="../assets/js/jquery.ui.touch-punch.js"></script>
    <script src="../assets/js/jquery.easypiechart.js"></script>
    <script src="../assets/js/jquery.sparkline.js"></script>
    <script src="../assets/js/flot/jquery.flot.js"></script>
    <script src="../assets/js/flot/jquery.flot.pie.js"></script>
    <script src="../assets/js/flot/jquery.flot.resize.js"></script>
    <script src="../assets/js/jquery.maskedinput.js"></script>

    <!-- ace scripts -->
    <script src="../assets/js/ace/elements.scroller.js"></script>
    <script src="../assets/js/ace/elements.colorpicker.js"></script>
    <script src="../assets/js/ace/elements.fileinput.js"></script>
    <script src="../assets/js/ace/elements.typeahead.js"></script>
    <script src="../assets/js/ace/elements.wysiwyg.js"></script>
    <script src="../assets/js/ace/elements.spinner.js"></script>
    <script src="../assets/js/ace/elements.treeview.js"></script>
    <script src="../assets/js/ace/elements.wizard.js"></script>
    <script src="../assets/js/ace/elements.aside.js"></script>
    <script src="../assets/js/ace/ace.js"></script>
    <script src="../assets/js/ace/ace.ajax-content.js"></script>
    <script src="../assets/js/ace/ace.touch-drag.js"></script>
    <script src="../assets/js/ace/ace.sidebar.js"></script>
    <script src="../assets/js/ace/ace.sidebar-scroll-1.js"></script>
    <script src="../assets/js/ace/ace.submenu-hover.js"></script>
    <script src="../assets/js/ace/ace.widget-box.js"></script>
    <script src="../assets/js/ace/ace.settings.js"></script>
    <script src="../assets/js/ace/ace.settings-rtl.js"></script>
    <script src="../assets/js/ace/ace.settings-skin.js"></script>
    <script src="../assets/js/ace/ace.widget-on-reload.js"></script>
    <script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
    <script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
    <script src="js/blockui.min.js" type="text/javascript"></script>

    <link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
    <!--<link rel="stylesheet" href="css/template.css" type="text/css"/>-->

    <!--		<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.4.1/jspdf.debug.js" integrity="sha384-THVO/sM0mFD9h7dfSndI6TS0PgAGavwKvB5hAxRRvc0o9cPLohB0wb/PTA7LdUHs" crossorigin="anonymous"></script>-->
    <!-- inline scripts related to this page -->

    <script type="text/javascript">

         jQuery(function ($) {

            $("#datepicker").datepicker({
               showOtherMonths: true,
               selectOtherMonths: false,
               format: 'dd/mm/yyyy',

            });

            $("#datepicker2").datepicker({
               showOtherMonths: true,
               selectOtherMonths: false,
               format: 'dd/mm/yyyy',

            });



            $("#datepicker3").datepicker({
               showOtherMonths: true,
               selectOtherMonths: false,
               format: 'dd/mm/yyyy',

            });

            $("#datepicker4").datepicker({
               showOtherMonths: true,
               selectOtherMonths: false,
               format: 'dd/mm/yyyy',

            });



            $("#datepickerFechaFinButton").tooltip({
               show: {
                  effect: "slideDown",
                  delay: 250
               }
            });


            $('#datepicker').on('changeDate', function (ev) {
               $(this).datepicker('hide');
            });


            $('#datepicker2').on('changeDate', function (ev) {
               $(this).datepicker('hide');
            });



            $('#datepicker3').on('changeDate', function (ev) {
               $(this).datepicker('hide');
            });

            $('#datepicker4').on('changeDate', function (ev) {
               $(this).datepicker('hide');
            });


            let obj = $("#lblUsuario").text();
            if (obj.substr(0, 2) === "DI" || obj === "6" || obj === "5") {
               $("#vistaDoble").hide();

            }


            //override dialog's title function to allow for HTML titles
            $.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
               _title: function (title) {
                  var $title = this.options.title || '&nbsp;'
                  if (("title_html" in this.options) && this.options.title_html == true)
                     title.html($title);
                  else
                     title.text($title);
               }
            }));



            $("#id-btn-dialog2").on('click', function (e) {//--
               e.preventDefault();
               $("#dialog-confirm").removeClass('hide').dialog({
                  resizable: false,
                  modal: true,
                  title: "<div class='widget-header'><h4 class='smaller'><i class='ace-icon fa fa-exclamation-triangle red'></i> Empty the recycle bin?</h4></div>",
                  title_html: true,
                  buttons: [
                     {
                        html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; Delete all items",
                        "class": "btn btn-danger btn-xs",
                        click: function () {
                           $(this).dialog("close");
                        }
                     }
                     ,
                     {
                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; Cancel",
                        "class": "btn btn-xs",
                        click: function () {
                           $(this).dialog("close");
                        }
                     }
                  ]
               });
            });

            $('.easy-pie-chart.percentage').each(function () {
               var $box = $(this).closest('.infobox');
               var barColor = $(this).data('color') || (!$box.hasClass('infobox-dark') ? $box.css('color') : 'rgba(255,255,255,0.95)');
               var trackColor = barColor == 'rgba(255,255,255,0.95)' ? 'rgba(255,255,255,0.25)' : '#E2E2E2';
               var size = parseInt($(this).data('size')) || 50;
               $(this).easyPieChart({
                  barColor: barColor,
                  trackColor: trackColor,
                  scaleColor: false,
                  lineCap: 'butt',
                  lineWidth: parseInt(size / 10),
                  animate: /msie\s*(8|7|6)/.test(navigator.userAgent.toLowerCase()) ? false : 1000,
                  size: size
               });
            })

            $('.sparkline').each(function () {
               var $box = $(this).closest('.infobox');
               var barColor = !$box.hasClass('infobox-dark') ? $box.css('color') : '#FFF';
               $(this).sparkline('html',
                       {
                          tagValuesAttribute: 'data-values',
                          type: 'bar',
                          barColor: barColor,
                          chartRangeMin: $(this).data('min') || 0
                       });
            });


            //flot chart resize plugin, somehow manipulates default browser resize event to optimize it!
            //but sometimes it brings up errors with normal resize event handlers
            $.resize.throttleWindow = false;

            var placeholder = $('#piechart-placeholder').css({'width': '90%', 'min-height': '150px'});
            var data = [
               {label: "social networks", data: 38.7, color: "#68BC31"},
               {label: "search engines", data: 24.5, color: "#2091CF"},
               {label: "ad campaigns", data: 8.2, color: "#AF4E96"},
               {label: "direct traffic", data: 18.6, color: "#DA5430"},
               {label: "other", data: 10, color: "#FEE074"}
            ]
            function drawPieChart(placeholder, data, position) {
               $.plot(placeholder, data, {
                  series: {
                     pie: {
                        show: true,
                        tilt: 0.8,
                        highlight: {
                           opacity: 0.25
                        },
                        stroke: {
                           color: '#fff',
                           width: 2
                        },
                        startAngle: 2
                     }
                  },
                  legend: {
                     show: true,
                     position: position || "ne",
                     labelBoxBorderColor: null,
                     margin: [-30, 15]
                  }
                  ,
                  grid: {
                     hoverable: true,
                     clickable: true
                  }
               })
            }
            drawPieChart(placeholder, data);

            /**
             we saved the drawing function and the data to redraw with different position later when switching to RTL mode dynamically
             so that's not needed actually.
             */
            placeholder.data('chart', data);
            placeholder.data('draw', drawPieChart);


            //pie chart tooltip example
            var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');
            var previousPoint = null;

            placeholder.on('plothover', function (event, pos, item) {
               if (item) {
                  if (previousPoint != item.seriesIndex) {
                     previousPoint = item.seriesIndex;
                     var tip = item.series['label'] + " : " + item.series['percent'] + '%';
                     $tooltip.show().children(0).text(tip);
                  }
                  $tooltip.css({top: pos.pageY + 10, left: pos.pageX + 10});
               } else {
                  $tooltip.hide();
                  previousPoint = null;
               }

            });

            /////////////////////////////////////
            $(document).one('ajaxloadstart.page', function (e) {
               $tooltip.remove();
            });




            var d1 = [];
            for (var i = 0; i < Math.PI * 2; i += 0.5) {
               d1.push([i, Math.sin(i)]);
            }

            var d2 = [];
            for (var i = 0; i < Math.PI * 2; i += 0.5) {
               d2.push([i, Math.cos(i)]);
            }

            var d3 = [];
            for (var i = 0; i < Math.PI * 2; i += 0.2) {
               d3.push([i, Math.tan(i)]);
            }


            var sales_charts = $('#sales-charts').css({'width': '100%', 'height': '220px'});
            $.plot("#sales-charts", [
               {label: "Domains", data: d1},
               {label: "Hosting", data: d2},
               {label: "Services", data: d3}
            ], {
               hoverable: true,
               shadowSize: 0,
               series: {
                  lines: {show: true},
                  points: {show: true}
               },
               xaxis: {
                  tickLength: 0
               },
               yaxis: {
                  ticks: 10,
                  min: -2,
                  max: 2,
                  tickDecimals: 3
               },
               grid: {
                  backgroundColor: {colors: ["#fff", "#fff"]},
                  borderWidth: 1,
                  borderColor: '#555'
               }
            });


            $('#recent-box [data-rel="tooltip"]').tooltip({placement: tooltip_placement});
            function tooltip_placement(context, source) {
               var $source = $(source);
               var $parent = $source.closest('.tab-content')
               var off1 = $parent.offset();
               var w1 = $parent.width();

               var off2 = $source.offset();
               //var w2 = $source.width();

               if (parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2))
                  return 'right';
               return 'left';
            }


            $('.dialogs,.comments').ace_scroll({
               size: 300
            });


            //Android's default browser somehow is confused when tapping on label which will lead to dragging the task
            //so disable dragging when clicking on label
            var agent = navigator.userAgent.toLowerCase();
            if ("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
               $('#tasks').on('touchstart', function (e) {
                  var li = $(e.target).closest('#tasks li');
                  if (li.length == 0)
                     return;
                  var label = li.find('label.inline').get(0);
                  if (label == e.target || $.contains(label, e.target))
                     e.stopImmediatePropagation();
               });

            $('#tasks').sortable({
               opacity: 0.8,
               revert: true,
               forceHelperSize: true,
               placeholder: 'draggable-placeholder',
               forcePlaceholderSize: true,
               tolerance: 'pointer',
               stop: function (event, ui) {
                  //just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
                  $(ui.item).css('z-index', 'auto');
               }
            }
            );
            $('#tasks').disableSelection();
            $('#tasks input:checkbox').removeAttr('checked').on('click', function () {
               if (this.checked)
                  $(this).closest('li').addClass('selected');
               else
                  $(this).closest('li').removeClass('selected');
            });


            //show the dropdowns on top or bottom depending on window height and menu position
            $('#task-tab .dropdown-hover').on('mouseenter', function (e) {
               var offset = $(this).offset();

               var $w = $(window)
               if (offset.top > $w.scrollTop() + $w.innerHeight() - 100)
                  $(this).addClass('dropup');
               else
                  $(this).removeClass('dropup');
            });



         });

         //::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

         $(document).ready(function () {
            jQuery("#registroEncuesta").validationEngine();
         });

         $("#tabs").tabs();

         //-------------------------------

//			webSocket
         let host = window.location.host;
         let socket = new WebSocket('ws://' + host + '/horario/SocketHorario')
         function enviarAccionWebSocket(accion) {
            socket.send(accion)
         }
//			webSocket


         function cargando_cubo() {
            $.blockUI({
               message: '<div class="thecube"> <div class="cube c1"></div> <div class="cube c2"></div> <div class="cube c4"></div> <div class="cube c3"></div> </div>',
//        message: '<div class="loading" id="g-spinner" style="zoom: 1;"><div class="circle c1"></div><div class="circle c2"></div><div class="circle c3"></div><div class="circle c4"></div></div>',
//        message: '<div class="js-loading-indicator triple" style="width: 192px; height: 192px; top: 64px; left: 208px;"></div>',

               baseZ: 9000,
               overlayCSS: {
                  backgroundColor: '#1b2024',
                  opacity: 0.8,
                  cursor: 'wait'
               },
               css: {
                  zindex: '9999',
                  border: 0,
                  color: '#fff',
                  padding: 0,
                  backgroundColor: 'transparent'
               }
            });
         }
         function cerrar_cargando_cubo() {
            $.unblockUI();
         }

         function cargando() {
            $("#dialog-cargando").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-header' ><h4 class='smaller'><i class='fa fa-spinner'></i> Cargando...</h4></div>",
               title_html: true
            });
         }

         function pintarSpanNombre() {

            let codigoAula = $("#cboBloqueRecuperacion").val();
            $("#spanNombreAula").css('visibility', 'visible');
            //$("#spanNombreAula").text(codigoAula);

            $.ajax({
               url: "../ServletAula?Accion=nombreCortoAula",
               type: "POST",
               data: {
                  codigo: codigoAula
               },
               success: function (data, textStatus, jqXHR) {
                  $("#spanNombreAula").text(data);
               }
            });
         }

         function close_carga() {
            $("#dialog-cargando").dialog("close");
         }

         function conMayusculas(field) {
            field.value = field.value.toUpperCase()
         }

         function segundaCarga() {
            armarHorarioGeneral("", "", "");
         }

         function agregarAula(codigoSede) {
            let select = $("#cboAulasXsede").val()
            if (typeof (select) == "undefined") {
               cargarComboAula(codigoSede);
            } else {
               mostrarModalAgregarAula(codigoSede)
               $("#cboAulasXsede").val("0")
            }

         }

         function mostrarModalAgregarAula(codigoSede) {
            $("#dialog-agregarAula").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               width: 400,
               heigth: 220,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Seleccione un aula</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        let codAula = $("#cboAulasXsede").val()
                        //GUARDAR EN SESSION EL CODIGO DEL AULA
                        sessionStorage.setItem("aulaAgregada", codAula)
                        agregarAulaAlGrupo(codAula, codigoSede);
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");

                     }
                  }
               ]
            });

         }

         function cargarComboAula(codigoSede) {
            var nombre = "cboAulasXsede"
            var codperiodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            $.ajax({
               type: 'POST',
               url: '../ServletAula?Accion=listarAulaPorSede',
               data: 'nombre=' + nombre + '&codSede=' + codigoSede + '&codperiodo=' + codperiodo,
               beforeSend: function (xhr) {
                  cargando_cubo()
               },
               success: function (resultado) {
                  $('#divListadoAulasSede').html(resultado);
                  sessionStorage.setItem("comboAulasCargado", true)
               }, complete: function () {
                  cerrar_cargando_cubo()
                  mostrarModalAgregarAula(codigoSede);
               }
            });
         }



         function agregarAulaAlGrupo(nuevoAula, codigoSede) {
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var cantidad = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_cantidad():""%>";
            var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
            var codAulasAntiguo = codAulas
            var codigoAulasFinal = codAulas + "#" + nuevoAula
            var cantidadFinal = parseInt(cantidad) + 1


            $.ajax({
               type: 'POST',
//                                       url:'../ServletHorario?Accion=armarAsignacionCursoDocGeneral2',
               url: '../ServletHorario?Accion=updateGrupoAula',
               data: 'codAulas=' + codigoAulasFinal + '&cantidad=' + cantidadFinal + '&periodo=' + periodo + '&codAulasAntiguo=' + codAulasAntiguo,
               success: function (resultado) {
                  console.log("update grupo aulas:" + resultado)
               }, complete: function () {
                  console.log("se completo el update")
                  armarHorarioGeneral("", nuevoAula, "")
               }
            });




         }



         function updateGrupoAula(codAulas, cantidad, periodo) {
            $.ajax({
               type: 'POST',
//                                       url:'../ServletHorario?Accion=armarAsignacionCursoDocGeneral2',
               url: '../ServletHorario?Accion=updateGrupoAula',
               data: 'codAulas=' + codAulas + '&cantidad=' + cantidad + '&periodo=' + periodo,
               success: function (resultado) {
                  console.log("update grupo aulas:" + resultado)
               }, complete: function () {
               }
            });
         }
         // prueba de 2do alert
         function conforHorasUpdate(json) {
            $("#dialog-conforUpdateHoras1").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        guardarNuevaHoras(json);
                        $(this).dialog("close");
                        $("#dialog-mostrarHorasHorario").dialog("close");

                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                        $("#dialog-mostrarHorasHorario").dialog("close");
                     }
                  }
               ]
            });
         }
         //fin prueba
         function clickHoraActualUpdate(codAula, posicion, periodo, dia) {
            console.log(codAula + " " + posicion + " " + periodo + " " + dia)

            let json = {
               codAula: codAula,
               posicion: posicion,
               periodo: periodo,
               dia: dia
            }


            $("#dialog-mostrarHorasHorario").removeClass('hide').dialog({
               resizable: false,
               width: 400,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Editar Horas</span></h4></div></div>",
               title_html: true,
               open: function () {
                  verHoraActual(json)

               },
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-cog bigger-110'></i>&nbsp; Editar",
                     "class": "btn btn-success btn-xs",
                     click: function () {

                        let nuevaHoraInicio = $("#txtHoraInicioHorario").val();
                        let nuevaHoraFin = $("#txtHoraFinHorario").val();

                        let json = {
                           horaInicio: nuevaHoraInicio,
                           horaFin: nuevaHoraFin,
                           periodo: periodo,
                           dia: dia,
                           codaula: codAula,
                           posicion: posicion

                        }


                        conforHorasUpdate(json)


                     }

                  },
                  {
                     html: "<i class='ace-icon fa fa-cog bigger-110'></i>&nbsp; Cerrar",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });

         }

         function guardarNuevaHoras(json) {

            $.ajax({
               type: 'POST',
               url: "../ServletHorario?Accion=insertarNuevaHoras",
               dataType: 'json',
               data: {
                  json: JSON.stringify(json)
               }, success: function (data, textStatus, jqXHR) {
                  console.log("respuesta " + data)
               }
            });

         }


         function verHoraActual(json) {
            $.ajax({
               type: 'POST',
               url: "../ServletHorario?Accion=mostrarNuevaHoras",
               dataType: 'json',
               data: {
                  json: JSON.stringify(json)
               }, success: function (data, textStatus, jqXHR) {
                  data.data.forEach(function (horas) {
                     $("#txtHoraInicioHorario").val(horas.hor_ini)
                     $("#txtHoraFinHorario").val(horas.hor_fin)
//								console.log(horas.hor_ini)
//								console.log(horas.hor_fin)
                  });
               }
            });
         }

         //function alerta1(codaula,posBlo,dia,Hor_ini,Hor_fin,turno,contGeneral){
         function alerta1(cantAulas, bloquesDia, codaula, posDia, dia, Hor_ini, Hor_fin, codigaGrupoHorario, contGeneral) {


//                            if(cantAulas!=bloquesDia){
//                                //alert(Hor_ini+" - "+Hor_fin);
//                                armarAsignacionCurso(0,cantAulas,bloquesDia,codaula,posDia,dia,Hor_ini,Hor_fin,codigaGrupoHorario,contGeneral);
//                            }else if(cantAulas==1){
//                                //alert(Hor_ini+" - "+Hor_fin);
//                                armarAsignacionCurso(0,cantAulas,bloquesDia,codaula,posDia,dia,Hor_ini,Hor_fin,codigaGrupoHorario,contGeneral);
//                            }else{
            if (cantAulas == 1) {
               armarAsignacionCurso(0, cantAulas, bloquesDia, codaula, posDia, dia, Hor_ini, Hor_fin, codigaGrupoHorario, contGeneral);
            } else {
               $("#dialog-confor1").removeClass('hide').dialog({
                  resizable: false,
                  width: 400,
                  modal: true,
                  title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
                  title_html: true,
                  buttons: [
                     {
                        html: "<i class='ace-icon fa fa-cogs bigger-110'></i>&nbsp; SI",
                        "class": "btn btn-primary btn-xs",
                        click: function () {
                           //asignarHorarioCurso(codaula,posBlo,dia,Hor_ini,Hor_fin,turno,contGeneral);
                           armarAsignacionCurso(1, cantAulas, bloquesDia, codaula, posDia, dia, Hor_ini, Hor_fin, codigaGrupoHorario, contGeneral);
                           $(this).dialog("close");
                        }
                     }, {
                        html: "<i class='ace-icon fa fa-cog bigger-110'></i>&nbsp; NO",
                        "class": "btn btn-warning btn-xs",
                        click: function () {

                           //asignarHorarioCursoIndividual(codaula,posBlo,dia,Hor_ini,Hor_fin,turno,contGeneral)
                           armarAsignacionCurso(0, cantAulas, bloquesDia, codaula, posDia, dia, Hor_ini, Hor_fin, codigaGrupoHorario, contGeneral);
                           $(this).dialog("close");
                        }
                     }, {
                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
                        "class": "btn btn-danger btn-xs",
                        click: function () {
                           $(this).dialog("close");
                        }
                     }
                  ]
               });

            }
         }

         function armarAsignacionCurso(opcion, cantAulas, bloquesDia, codaula, posDia, dia, Hor_ini, Hor_fin, codigaGrupoHorario, contGeneral) {
            //alert(codigo);
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            $.ajax({
               type: 'POST',
//                                       url:'../ServletHorario?Accion=armarAsignacionCursoDocGeneral2',
               url: '../ServletHorario?Accion=armarAsignacionCursoDocGeneral3',
               data: 'dia=' + dia + '&Hini=' + Hor_ini + '&Hfin=' + Hor_fin + '&opcion=' + opcion + '&periodo=' + periodo,
               success: function (resultado) {
                  $('#divRegistroCursoDocente').html(resultado);
                  $('#divFormularioCambio').html('')
               }, complete: function () {

                  $("#listadoCruce").fadeOut();
                  cargarCursoArea(opcion, posDia, dia, Hor_ini, Hor_fin, codigaGrupoHorario, codaula, contGeneral);
                  //alerta2(bloquesDia,dia,Hor_ini,Hor_fin,codigaGrupoHorario,codaula,contGeneral,opcion,0);
               }
            });
         }

         function cargarCursoArea(opcion, bloq, dia, Hor_ini, Hor_fin, codigaGrupoHorario, codaula, contGeneral) {
            $("#Hini").val(Hor_ini);
            $("#Hfin").val(Hor_fin);
            let cdCurso = $("#cmbCurso").val();
            var dato = verificarTurno(Hor_ini, Hor_fin);
            var codTurno = dato;
            //alert(opcion+" - "+bloq+" - "+dia);
            var nombre = "cmbCurso";
            var accion = "cargarDocentesDisponibles(" + opcion + "," + bloq + "," + dia + "," + codaula + "); recargar();";
            //var codArea=$("#cmbArea").val();
            $.ajax({
               type: 'POST',
               url: '../ServletCurso?Accion=cargarCurso2',
               data: 'nombre=' + nombre + '&accion=' + accion,
               success: function (resultado) {
                  $('#divCursoCombo').html(resultado);
               }, complete: function () {
                  alerta2(bloq, dia, Hor_ini, Hor_fin, codTurno, codigaGrupoHorario, codaula, contGeneral, opcion, 0);
               }
            });
         }

         function cargarDocentesDisponibles(opcion, bloq, dia, codaula) {
            var Hini = $("#Hini").val();
            var Hfin = $("#Hfin").val();
            var dato = verificarTurno(Hini, Hfin);
            var codTurno = dato;
            var codCurso = $("#cmbCurso").val();
            $("#cboAvanceDia").val("SI");
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            $.ajax({
               type: 'POST',
//                                    url:'../ServletDocente?Accion=cargarDocentesDisponiblesGeneral2',
               url: '../ServletDocente?Accion=cargarDocentesDisponiblesGeneral3',
               data: 'codTurno=' + codTurno + '&dia=' + dia + '&codCurso=' + codCurso + '&periodo=' + periodo + '&opcion=' + opcion + '&codaula=' + codaula,
               success: function (resultado) {
                  //listarDocentes(Hini,Hfin,dato,codTurno,codCurso,periodo,opcion,bloq,dia,codaula);
                  listarDocentes(periodo);
                  cargarDocentesDisponiblesRecuperacion(bloq, dia, codaula, "");
//                                        $('#divDocenteCombo').html(resultado);
               }, complete: function () {
//                                        $("#formulario1").dialog( "close" );
               }
            });
         }

         function cargarDocentesDisponiblesRecuperacion(bloq, dia, codaula, codCursoPagina) {

            var Hini = $("#Hini").val();
            let opcion = 0;
            var Hfin = $("#Hfin").val();
            var dato = verificarTurno(Hini, Hfin);
            var codTurno = dato;
            var codCursoCombo = $("#cmbCurso").val();
            let codCursoFinal = "";
            let diaVacio = "";
            if (codCursoPagina === "") {
               codCursoFinal = codCursoCombo;
            } else {
               codCursoFinal = codCursoPagina;
            }



            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            $.ajax({
               type: 'POST',
//                                    url:'../ServletDocente?Accion=cargarDocentesDisponiblesGeneral2',
               url: '../ServletDocente?Accion=cargarDocentesDisponiblesGeneralRecuperacion',
               data: 'codTurno=' + codTurno + '&dia=' + diaVacio + '&codCurso=' + codCursoFinal + '&periodo=' + periodo + '&opcion=' + opcion + '&codaula=' + codaula,
               success: function (resultado) {
                  //listarDocentes(Hini,Hfin,dato,codTurno,codCurso,periodo,opcion,bloq,dia,codaula);
//						listarDocentesRecuperacion(periodo);
                  $('#divDocentes').html(resultado);
               }, complete: function () {
//                                        $("#formulario1").dialog( "close" );
               }
            });
         }

         function validarCombo() {
            let op = $("#cboMotivoCambio2").val();
            if (op === "NO AVISO") {

               $("#txtHoraAviso").prop('disabled', true);
               $("#datepickerFechaFaltaAvisoButton").prop('disabled', true);
               $("#txtHoraAviso").text("NO AVISO")
               $("#recibeFechaFaltaAviso").val("NO AVISO")

            } else {
               $("#txtHoraAviso").prop('disabled', false);
               $("#datepickerFechaFaltaAvisoButton").prop('disabled', false);
//						$("#txtHoraAviso").text("")

            }

         }
         function listarDocentes(periodo) {
            var apellidoDocente = $("#txtApeDocente").val();
            var cadenaAulas = $("#cadenaAulasHorario").val();
            $.ajax({
               type: 'POST',
               url: '../ServletDocente?Accion=tablaDocentesDisponiblesGeneral5',
               data: 'periodo=' + periodo + '&apellidoDocente=' + apellidoDocente + '&cadenaAulas=' + cadenaAulas,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $('#divDocenteCombo').html(resultado);
               }, complete: function () {

                  $("#formulario1").dialog("close");
               }
            });
         }

         function doSearch() {

            var tableReg = document.getElementById('tablaDocentes');
            var searchText = document.getElementById('txtApeDocente').value.toLowerCase();
            var cellsOfRow = "";
            var found = false;
            var compareWith = "";
            // Recorremos todas las filas con contenido de la tabla
            for (var i = 1; i < tableReg.rows.length; i++) {
               cellsOfRow = tableReg.rows[i].getElementsByTagName('td');
               found = false;
               // Recorremos todas las celdas
               for (var j = 0; j < cellsOfRow.length && !found; j++) {
                  compareWith = cellsOfRow[j].innerHTML.toLowerCase();
                  //console.log(cellsOfRow);
                  // Buscamos el texto en el contenido de la celda
                  if (searchText.length == 0 || (compareWith.indexOf(searchText) > -1))
                  {
                     found = true;
                  }
               }

               if (found) {
                  tableReg.rows[i].style.display = '';
               } else {
                  // si no ha encontrado ninguna coincidencia, esconde la
                  // fila de la tabla
                  tableReg.rows[i].style.display = 'none';
               }
            }

         }

         function doSearch2() {
            var tableReg = document.getElementById('tablaDocentes');
            var searchText = document.getElementById('txtZona').value.toLowerCase();
            var cellsOfRow = "";
            var found = false;
            var compareWith = "";
            // Recorremos todas las filas con contenido de la tabla
            for (var i = 1; i < tableReg.rows.length; i++) {
               cellsOfRow = tableReg.rows[i].getElementsByClassName('td');
               found = false;
               // Recorremos todas las celdas
               for (var j = 0; j < cellsOfRow.length && !found; j++) {
                  compareWith = cellsOfRow[j].innerHTML.toLowerCase();
                  // Buscamos el texto en el contenido de la celda
                  if (searchText.length == 0 || (compareWith.indexOf(searchText) > -1))
                  {
                     found = true;
                  }
               }
               if (found) {
                  tableReg.rows[i].style.display = '';
               } else {
                  // si no ha encontrado ninguna coincidencia, esconde la
                  // fila de la tabla
                  tableReg.rows[i].style.display = 'none';
               }
            }

         }
         function verificar_uno(check) {
            var limite = 2;
            var contador = 0;
            var ele = "";
            if (check.checked) {
               //está marcada, entonces aumento en uno el contador del grupo 
               for (var i = 0; ele = check.form.elements[i]; i++) {
                  if (ele.checked) {
                     contador++;
                  }
                  //compruebo si el contador ha llegado al máximo permitido 
                  if (contador > limite) {
                     //desmarco la casilla, porque no se puede permitir marcar 
                     check.checked = false;
                     //resto una unidad al contador de grupo, porque he desmarcado una casilla 
                     contador--;
                     //si ha llegado al máximo, muestro mensaje de error 
                     popupAlertaCheck();
                  }
               }
            } else {
               //si la casilla no estaba marcada, resto uno al contador de grupo 
               contador--;
            }

         }

         function popupAlertaCheck() {
            var cantidad = $("#cantidad").val();
            var posicion = "";
            var cadena = "";
            var cont = 1;
            for (var i = 0; i <= cantidad; i++) {

               posicion = $("input[name='checkbox" + cont + "']:checked").val();
               var dato = $("#datos2_" + posicion + "").val();
               if (posicion != "" && posicion != undefined) {
                  if (cadena == "") {
                     cadena = dato;
                  }
               }
               cont++;
            }

            var array1 = cadena.split("#");
            for (var a = 0; a < array1.length; a++) {
               var num = array1[0];
               var nombre = array1[1];
            }
            $("#nom").html(nombre);
            $("#pos").html(num);
            $("#dialog-advertencia3").removeClass('hide').dialog({
               resizable: false,
               width: 450,
               modal: true,
               title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function verificarTurno(HorIni, HorFin) {

            var mini = "07:50";
            var mfin = "14:30";
            var tini = "15:00";
            var tfin = "19:00";
            var nini = "19:00";
            var nfin = "22:00";
            var ARmini = mini.split(":");
            var ARmfin = mfin.split(":");
            var ARtini = tini.split(":");
            var ARtfin = tfin.split(":");
            var ARnini = nini.split(":");
            var ARnfin = nfin.split(":");
            // Obtener horas y minutos (MAÑANA) 
            var hhMini = parseInt(ARmini[0], 10);
            var mmMini = parseInt(ARmini[1], 10);
            var hhMfin = parseInt(ARmfin[0], 10);
            var mmMfin = parseInt(ARmfin[1], 10);
            // Obtener horas y minutos (TARDE) 
            var hhTini = parseInt(ARtini[0], 10);
            var mmTini = parseInt(ARtini[1], 10);
            var hhTfin = parseInt(ARtfin[0], 10);
            var mmTfin = parseInt(ARtfin[1], 10);
            // Obtener horas y minutos (NOCHE) 
            var hhNini = parseInt(ARnini[0], 10);
            var mmNini = parseInt(ARnini[1], 10);
            var hhNfin = parseInt(ARnfin[0], 10);
            var mmNfin = parseInt(ARnfin[1], 10);
            var ARHorIni = HorIni.split(":");
            var ARHorFin = HorFin.split(":");
            // Obtener horas y minutos (DATO) 
            var hhHorIni = parseInt(ARHorIni[0], 10);
            var mmHorIni = parseInt(ARHorIni[1], 10);
            var hhHorFin = parseInt(ARHorFin[0], 10);
            var mmHorFin = parseInt(ARHorFin[1], 10);
            if ((hhMini <= hhHorIni && hhTfin >= hhHorIni) && (hhMini <= hhHorFin && hhTfin >= hhHorFin)) {
               if ((hhMini <= hhHorIni && hhMfin >= hhHorIni) && (hhMini <= hhHorFin && hhMfin >= hhHorFin)) {
                  if (hhHorFin == 14) {
                     if (mmHorFin <= 30) {
                        return "1"; //"mañana";
                     } else {
                        return "4"; //"mañana-tarde";
                     }
                  } else {
                     return "1"; //"mañana";
                  }
               } else if ((hhTini <= hhHorIni && hhTfin >= hhHorIni) && (hhTini <= hhHorFin && hhTfin >= hhHorFin)) {
                  if (hhHorFin == 19) {
                     if (mmHorFin == 0) {
                        return "2"; //"tarde";
                     } else {
                        return "5"; //"tarde-noche";
                     }
                  } else {
                     return "2"; //"tarde";
                  }
               } else {
                  if (hhHorFin == 19) {
                     if (mmHorFin == 0) {
                        return "4"; //"mañana-tarde";
                     } else {
                        return "6"; //"mañana-tarde-noche";
                     }
                  } else {
                     return "4"; //"mañana-tarde";
                  }
               }

            } else if ((hhTini <= hhHorIni && hhNfin >= hhHorIni) && (hhTini <= hhHorFin && hhNfin >= hhHorFin)) {
               if ((hhTini <= hhHorIni && hhTfin >= hhHorIni) && (hhTini <= hhHorFin && hhTfin >= hhHorFin)) {
                  if (hhHorFin == 19) {
                     if (mmHorFin == 0) {
                        return "2"; //"tarde";
                     } else {
                        return "5"; //"tarde-noche";
                     }
                  } else {
                     return "2"; //"tarde";
                  }
               } else if ((hhNini <= hhHorIni && hhNfin >= hhHorIni) && (hhNini <= hhHorFin && hhNfin >= hhHorFin)) {
                  return "3"; //"noche";
               } else {
                  return "5"; //"tarde-noche";
               }
            } else {
               return "6"; //"mañana-tarde-noche";
            }

         }


         function recargar() {
            $("#listadoCruce").fadeOut();
            $("#listadoCruce").html("");
         }

         function alerta2(bloq, dia, Hini, Hfin, Turno, codigaGrupoHorario, codaula, contGeneral, opcion, editar, historial) {
            $("#dialog-armar2").removeClass('hide').dialog({
               resizable: false,
               width: 800,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Asignación</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ASIGNAR",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        verCursosIguales(codigaGrupoHorario, Turno, bloq, dia, Hini, Hfin, codaula, contGeneral, opcion, editar, historial);
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function verCursosIguales(codigaGrupoHorario, Turno, bloq, dia, Hini, Hfin, codaula, contGeneral, opcion, editar, historial) {
            debugger
            //alert("verificar "+editar);
//            console.log("verCursosIguales paso x aqui...")
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
            //recuperar nueva aula
            let codigoAulas = ""
            let aulaAgregada = sessionStorage.getItem("aulaAgregada")
            console.log("aulaAgrega en verCursosIguales: " + aulaAgregada)
            if (aulaAgregada == null) {
               codigoAulas = codAulas
            } else {
               codigoAulas = codAulas + "#" + aulaAgregada
            }

            var codCurso = $("#cmbCurso").val();
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=consultarCursosGeneral',
               data: "codAula=" + codaula + "&codCurso=" + codCurso + "&Turno=" + Turno + '&periodo=' + periodo + '&editar=' + editar + '&bloq=' + bloq + '&dia=' + dia + '&codAulas=' + codigoAulas + '&opcion=' + opcion + '&historial=' + historial, //'&codAulas='+codAulas+'&contGeneral='+contGeneral+'&opcion='+opcion+'&hora_inicio='+hora_inicio+'$hora_termino='+hora_termino,
               success: function (resultado) {
                  debugger
                  //alert("rsultado "+resultado);
                  if (resultado == 0) {
                     validar_RegistroAsigCurDoc(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, historial);
                  } else {
                     advertencia1();
                  }
               }, complete: function () {

               }
            });
         }
         function advertencia1() {
            //alert("advertencia 1");
            $("#dialog-advertencia1").removeClass('hide').dialog({
               resizable: false,
               width: 400,
               modal: true,
               title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }
         function advertencia2() {
            $("#dialog-advertencia2").removeClass('hide').dialog({
               resizable: false,
               width: 400,
               modal: true,
               title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }
         function checkLibre() {

            $('#chkExamenSemanal').prop('checked', false)

         }
         function checkExamenSemanal() {

            $('#chkBloqueLibre').prop('checked', false)
         }
         function validar_RegistroAsigCurDoc(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, historial) {

            debugger
            let valida = $('#cboMotivoCambio2').val();
            let valida2 = $('#cboMotivoCambio').val();
            let validaFechaFin = $("#recibeFechaFin").val();
            let validaFechaInicio = $("#recibeFechaInicio").val();
            let textoHoraAviso = "";
            let validaHoraAviso = $("#txtHoraAviso").val();
            if (validaHoraAviso === "") {

               textoHoraAviso = $("#txtHoraAviso").text();
            } else {
               textoHoraAviso = validaHoraAviso;
            }



            let validaAvanceDia = $("#cboAvanceDia").val();
            let validaCondicionTr = $("#cboCondicionTrabajador").val();
            let validaCodDocenteRemplazo = $("#cbDocentesRecuperacion").val();
            let validaFechaAviso = $("#recibeFechaFaltaAviso").val();
            let checkStatus = $('#chkExamenSemanal').prop('checked')
            let checkLibreStatus = $('#chkBloqueLibre').prop('checked')
            if (checkStatus) {

               var json = {}
               console.log("Registro examen semanal")
               popup_confimacion(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, 9999, historial, json);
            } else if (checkLibreStatus) {
               var json = {}
               console.log("Registro dia libre")
               popup_confimacion(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, 8888, historial, json);
            } else {

               var estado = jQuery('#RegistroAsigCurDoc').validationEngine('validate');
               if (estado) {
                  var cantidad = $("#cantidad").val();
                  var posicion = "";
                  var codigoDocente = "";
                  for (var i = 1; i <= cantidad; i++) {
                     posicion = $("input[name='checkbox" + i + "']:checked").val();
                     var dato = $("#datos_" + posicion + "").val();
                     if (posicion != "" && posicion != undefined) {
                        if (codigoDocente == "") {
                           codigoDocente = dato;
                        }
                     }
                  }


                  if (codigoDocente != "") {


                     var json = {}

                     if (historial == 'cambioFijo') {


                        if (valida != "[SELECCIONE]" && validaFechaFin != "vacio" && validaFechaFin != "" && validaFechaInicio != "vacio"
                                && validaAvanceDia != "[SELECCIONE]" && valida2 != "[SELECCIONE]"
                                && validaCondicionTr != "[SELECCIONE]") {


                           json.motivoCambio = $("#cboMotivoCambio").val()
                           json.observacion = $('#txtAreaObservacion').val()
                           json.fechafin = $("#recibeFechaFin").val()
                           json.fechainicio = $("#recibeFechaInicio").val()
                           json.condicionTrabajador = $("#cboCondicionTrabajador").val()

                           popup_confimacion(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial, json);
                        } else {
                           alertaVacios();
                        }


                     } else if (historial == 'cambioDia') {

                        if (valida != "[SELECCIONE]" && validaFechaFin != "vacio" && validaFechaFin != "" && validaFechaInicio != "vacio"

                                && validaAvanceDia != "[SELECCIONE]"

                                && validaFechaAviso != "" && textoHoraAviso != "") {


                           json.motivoCambio = $('#cboMotivoCambio2').val()
                           json.observacion = $('#txtObservacion').val()
                           json.horaAviso = textoHoraAviso
                           json.horaInicioRecuperacion = $("#horaInicioRecuperacion").val()
                           json.horaFinRecuperacion = $("#horaFinRecuperacion").val()
                           json.avance = $('#cboAvanceDia').val()
                           json.fechainicio = $("#recibeFechaInicio").val()
                           json.fechafin = $("#recibeFechaFin").val()
                           json.aula_recuperacion = $("#cboBloqueRecuperacion").val()
                           json.curso_recuperacion = $("#lblcursoRecuperacion").text()
                           json.fecha_recuperacion = $("#datepicker3").val()

                           json.fecha_aviso = validaFechaAviso
                           json.recuperacion = $('input[name="recuperacion"]:checked').val()
                           //json.docente_recuperacion=validaCodDocenteRemplazo
                           json.docente_recuperacion = $("#cbDocentesRecuperacion").val()
                           popup_confimacion(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial, json);
                        } else {
                           alertaVacios();
                        }


                     } else {
                        popup_confimacion(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial, json);
                     }


                  } else {

                     alertaVacios();
                  }

               }



            }
         }

         function alertaVacios() {
            $("#dialog-advertencia4").removeClass('hide').dialog({
               resizable: false,
               width: 300,
               modal: true,
               title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }
         function popup_confimacion(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial, json) {
            debugger
            $("#dialog-confor2").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
//                                            alert(codigoDocente);
                        if (opcion == "1") {
                           console.log("registrando secuencial...")
                           registrarAsigCurDoceHorarioMasivo(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial);
                        } else {
                           if (historial === "cambioFijo" || historial === "cambioDia") {
                              registrarAsigCurDoceHorarioPersonalizado(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial, json);
                           } else {
                              registrarAsigCurDoceHorario(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial, json);
                           }

                        }
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function registrarAsigCurDoceHorarioMasivo(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente) {
            //alert("registrarAsigCurDoceHorarioMasivo");

            console.log("estoy en el registrarAsigCurDoceHorarioMasivo...")
            console.log("horaInicio desde parametro :" + Hini)
            console.log("horaFin desde parametro :" + Hfin)
            console.log("dia: " + dia)
            var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
            let codigoAulasFinal = ""
            let aulaAgregada = sessionStorage.getItem("aulaAgregada")
            if (aulaAgregada == null) {
               codigoAulasFinal = codAulas
            } else {
               codigoAulasFinal = codAulas + "#" + aulaAgregada
            }

            var hora_inicio = $("#hora_inicio_" + dia + "").val();
            var hora_termino = $("#hora_termino_" + dia + "").val();
            console.log("hora_inicio desde variable:" + hora_inicio)
            console.log("hora_termino desde variable:" + hora_termino)


            var dato = verificarTurno(hora_inicio, hora_termino);
            var codTurno = dato;
            let chkStatus = $('#chkExamenSemanal').prop('checked');
            let chkLibreStatus = $('#chkBloqueLibre').prop('checked');
            var codCurso = ""
            codCurso = chkStatus ? "61" : chkLibreStatus ? "62" : $("#cmbCurso").val();
//                              var codDocente = $("#cmbDocDisp").val();
            var codClase = $("#idClase").val();
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var codGru = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codGru():""%>";
            var cantidad = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_cantidad():""%>";
            var cadenaHorasIni = $("#cadenaHorasIni_" + dia + "").val();
            var cadenaHorasFin = $("#cadenaHorasFin_" + dia + "").val();
            let fecha_inicio = $("#recibeFechaInicio").val();
            //alert(hora_inicio+"\n"+hora_termino);
            //alert(cadenaHorasIni+"\n"+cadenaHorasFin);
            //alert("codaula: "+codaula+"\n posBlo: "+bloq+"\n dia: "+dia+"\n Hor_ini: "+Hini+"\n Hor_fin: "+Hfin+"\n turno: "+Turno+"\n contGeneral: "+contGeneral);
//                              debugger;
            var cant = 0;
            if (aulaAgregada == null || aulaAgregada == "") {
               cant = parseInt(cantidad);
            } else {
               cant = parseInt(cantidad) + 1;
            }

            var PosGeneral = 0;
            PosGeneral = parseInt(contGeneral);
            var cadenaPosGeneral = "";
            //----------- POSICION GENERAL -------INI------
            for (i = 1; i <= cant; i++) {
               if (PosGeneral == cant) {
                  if (cadenaPosGeneral == "") {
                     cadenaPosGeneral = PosGeneral;
                  } else {
                     cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                  }
                  PosGeneral = parseInt(PosGeneral) - (parseInt(PosGeneral) - 1);
               } else {
                  if (i == cant) {
                     cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                     PosGeneral = parseInt(PosGeneral) - (parseInt(PosGeneral) - 1);
                  } else {

//							if (cadenaPosGeneral == "") {
                     if (cadenaPosGeneral == "") {
                        cadenaPosGeneral = PosGeneral;
                     } else {
                        cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                     }
                     PosGeneral = parseInt(PosGeneral) + 1;
                  }
               }
            }



            //----------- POSICION GENERAL -----FIN--------

            //alert(cadenaPosGeneral);
            //----------- POSICION DE BLOQUE -------INI------
            var cadenaPosBloques = "";
            var PosBloques = 0;
            PosBloques = parseInt(bloq);
            var numeroBloque = cadenaHorasIni.split('#').length
            var indice = 0

            cadenaPosBloques = PosBloques
            if (numeroBloque == PosBloques) {
               PosBloques = 1
            } else {
               PosBloques++
            }
            indice++

            while (indice < cant) {
               cadenaPosBloques = cadenaPosBloques + "#" + PosBloques;
               if (numeroBloque == PosBloques) {
                  PosBloques = 1
               } else {
                  PosBloques++
               }
               indice++
            }

            var arrayGeneral = cadenaPosGeneral.split("#");
            var arrayBloques = cadenaPosBloques.split("#");
            var arrayAulas = codigoAulasFinal.split("#");
            var arrayHorasIni = cadenaHorasIni.split("#");
            var arrayHorasFin = cadenaHorasFin.split("#");
            var posicionGlobal = 0;
            var posicionBloGlobal = 0;
            var cadenaTotal = "";
            for (i = 0; i < cant; i++) {
               posicionGlobal = arrayGeneral[i] - 1;
               posicionBloGlobal = arrayBloques[i] - 1;
               //$("#curso_"+arrayGeneral[i]+"_"+arrayBloques[i]+"_"+dia).html("<span style='color:black;'>"+arrayAulas[posicionGlobal]+"X<br>"+arrayHorasIni[posicionBloGlobal]+" a "+arrayHorasFin[posicionBloGlobal]+"</span>");
               if (cadenaTotal == "") {
                  cadenaTotal = arrayAulas[posicionGlobal] + "#" + arrayBloques[i] +
                          "#" + arrayHorasIni[posicionBloGlobal] +
                          "#" + arrayHorasFin[posicionBloGlobal];
               } else {
                  cadenaTotal = cadenaTotal + "-" + arrayAulas[posicionGlobal] + "#" + arrayBloques[i] +
                          "#" + arrayHorasIni[posicionBloGlobal] +
                          "#" + arrayHorasFin[posicionBloGlobal];
               }
            }

            //alert(cadenaTotal);
            //  REGISTRO
            var grupoAulas = $("#grupoAulas").val();
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=registrarAsigCurDoceHorarioGeneralMasivo2',
               data: "cadenaTotal=" + cadenaTotal + "&hora_inicio=" + hora_inicio + "&hora_termino=" + hora_termino + "&dia=" + dia + "&codTurno=" + codTurno + "&codCurso=" + codCurso + "&codDocente=" + codigoDocente + '&periodo=' + periodo + '&codGru=' + codigaGrupoHorario + '&codClase=' + codClase + '&grupoAulas=' + grupoAulas + '&fecha_inicio=' + fecha_inicio,
               success: function (resultado) {
                  //alert("res "+resultado);
                  if (resultado == 1) {
                     popup_exito_masivo(codigaGrupoHorario, codaula, bloq, dia, Hini, Hfin, Turno, contGeneral);
                  } else if (resultado == 3) {
                     verCruce(codigaGrupoHorario, codigoDocente, dia, Hini, Hfin, periodo);
                  } else if (resultado == 4) {
                     verCruceMasivo(codigaGrupoHorario, codigoDocente, dia, hora_inicio, hora_termino, periodo);
                  } else if (resultado == 5) {
                     advertencia2();
                  } else {
                     alert("ocurrió un error");
                  }
               }, complete: function () {

               }
            });
         }

         function registrarAsigCurDoceHorario(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial, json) {
            //alert("registrarAsigCurDoceHorario");
            //alert("registrarAsigCurDoceHorario");
            debugger
            var codTurno = Turno;
            let codCurso = ""
            let statusCheck = $('#chkExamenSemanal').prop('checked')
            let statusLibreCheck = $('#chkBloqueLibre').prop('checked')
            codCurso = statusCheck ? "61" : statusLibreCheck ? "62" : $("#cmbCurso").val();
            var codClase = $("#idClase").val();
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var grupoAulas = $("#grupoAulas").val();
            historial = historial || 0
            //alert("codAula="+codaula+"&bloq="+bloq+"&dia="+dia+"&Hini="+Hini+"&Hfin="+Hfin+"&codTurno="+codTurno+"&codCurso="+codCurso+"&codDocente="+codDocente+'&periodo='+periodo+'&codGru='+codigaGrupoHorario+'&codClase='+codClase);
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=registrarAsigCurDoceHorarioGeneral2',
               data: "codAula=" + codaula +
                       "&bloq=" + bloq +
                       "&dia=" + dia +
                       "&Hini=" + Hini +
                       "&Hfin=" + Hfin +
                       "&codTurno=" + codTurno +
                       "&codCurso=" + codCurso +
                       "&codDocente=" + codigoDocente +
                       '&periodo=' + periodo +
                       '&codGru=' + codigaGrupoHorario +
                       '&codClase=' + codClase +
                       '&grupoAulas=' + grupoAulas +
                       '&historial=' + historial +
                       '&motivoCambio=' + (json.motivoCambio || '') +
                       '&observacion=' + (json.observacion || '') +
                       '&condicionTrabajador=' + (json.condicionTrabajador || '') +
                       '&horaAviso=' + (json.horaAviso || '') +
                       '&recuperacion=' + (json.recuperacion || ''),
               success: function (resultado) {
                  if (resultado == 1) {
                     popup_exito(codigaGrupoHorario, codaula, bloq, dia, Hini, Hfin, Turno, contGeneral);
                  } else if (resultado == 3) {
                     verCruce(codigaGrupoHorario, codigoDocente, dia, Hini, Hfin, periodo); //REV
                  } else {
                     alert("ocurrió un error");
                  }

               }, complete: function () {

               }
            });
         }

         function registrarAsigCurDoceHorarioPersonalizado(codigaGrupoHorario, bloq, dia, Hini, Hfin, codaula, opcion, Turno, contGeneral, codigoDocente, historial, json) {
            //alert("registrarAsigCurDoceHorario");

            //OBTENER EL CODIGO DE CADENA AULAS
//				debugger
            var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
            var hora_inicio = $("#hora_inicio_" + dia + "").val();
            var hora_termino = $("#hora_termino_" + dia + "").val();
            var dato = verificarTurno(hora_inicio, hora_termino);
            var codTurno = dato;
            var codCurso = $("#cmbCurso").val();
//                            var codDocente = $("#cmbDocDisp").val();
            var codClase = $("#idClase").val();
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var codGru = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codGru():""%>";
            var cantidad = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_cantidad():""%>"; //

            var cadenaHorasIni = $("#cadenaHorasIni_" + dia + "").val();
            var cadenaHorasFin = $("#cadenaHorasFin_" + dia + "").val();
            //alert(hora_inicio+"\n"+hora_termino);
            //alert(cadenaHorasIni+"\n"+cadenaHorasFin);
            //alert("codaula: "+codaula+"\n posBlo: "+bloq+"\n dia: "+dia+"\n Hor_ini: "+Hini+"\n Hor_fin: "+Hfin+"\n turno: "+Turno+"\n contGeneral: "+contGeneral);
//                            debugger;
            var cant = 0;
            cant = parseInt(cantidad); //1
            var PosGeneral = 0;
            PosGeneral = parseInt(contGeneral);
            var cadenaPosGeneral = "";
            //----------- POSICION GENERAL -------INI------
//				debugger
            for (i = 1; i <= cant; i++) {
               if (PosGeneral == cant) {
                  if (cadenaPosGeneral == "") {
//							cadenaPosGeneral = PosGeneral;
                     cadenaPosGeneral = PosGeneral + " ";
                  } else {
                     cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                  }

                  PosGeneral = parseInt(PosGeneral) - (parseInt(PosGeneral) - 1);
               } else {
                  if (i == cant) {
                     cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                     PosGeneral = parseInt(PosGeneral) - (parseInt(PosGeneral) - 1);
                  } else {

                     if (cadenaPosGeneral == "") {
                        cadenaPosGeneral = PosGeneral;
                     } else {
                        cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                     }
                     PosGeneral = parseInt(PosGeneral) + 1;
                  }

               }
            }

            //----------- POSICION GENERAL -----FIN--------
            //alert(cadenaPosGeneral);
            //----------- POSICION DE BLOQUE -------INI------
            var cadenaPosBloques = "";
            var PosBloques = 0;
            PosBloques = parseInt(bloq);
            var numeroBloque = cadenaHorasIni.split('#').length
            var indice = 0

//				cadenaPosBloques = PosBloques
            cadenaPosBloques = PosBloques + " "
            if (numeroBloque == PosBloques) {
               PosBloques = 1
            } else {
               PosBloques++
            }
            indice++

            while (indice <= cant) {
               cadenaPosBloques = cadenaPosBloques + "#" + PosBloques;
               if (numeroBloque == PosBloques) {
                  PosBloques = 1
               } else {
                  PosBloques++
               }
               indice++
            }
//				for (i = 1; i <= cant; i++) {
////                                if(PosBloques==cant){
//					if (cadenaPosBloques == "") {
//						cadenaPosBloques = PosBloques;
//					} else {
//						cadenaPosBloques = cadenaPosBloques + "#" + PosBloques;
//					}
//					if (numeroBloque == parseInt(bloq)) {
//						PosBloques = parseInt(PosBloques) - (parseInt(PosBloques) - 1);
//					} else {
//						PosBloques = parseInt(PosBloques) + 1;
//					}
////                                }else{
////                                    if(i==cant){
////                                        cadenaPosBloques=cadenaPosBloques+"#"+PosBloques;
////                                        PosBloques = parseInt(PosBloques)-(parseInt(PosBloques)-1);
////                                        
////                                    }else{
////                                        
////                                        if(cadenaPosBloques==""){
////                                            cadenaPosBloques=PosBloques;
////                                        }else{
////                                            cadenaPosBloques=cadenaPosBloques+"#"+PosBloques;
////                                        }
////                                        PosBloques = parseInt(PosBloques) + 1;
////                                    }
////                                }
//				}

//				console.log(cadenaPosBloques)
//				console.log(cadenaPosGeneral)
//				console.log(cant)
//				console.log(PosBloques)

            //----------- POSICION DE BLOQUE -----FIN--------


            var arrayGeneral = cadenaPosGeneral.split("#");
            var arrayBloques = cadenaPosBloques.split("#");
            var arrayAulas = codAulas.split("#");
            var arrayHorasIni = cadenaHorasIni.split("#");
            var arrayHorasFin = cadenaHorasFin.split("#");
            var posicionGlobal = 0;
            var posicionBloGlobal = 0;
            var cadenaTotal = "";
            for (i = 0; i < cant; i++) {
               posicionGlobal = arrayGeneral[i] - 1;
               posicionBloGlobal = arrayBloques[i] - 1;
               //$("#curso_"+arrayGeneral[i]+"_"+arrayBloques[i]+"_"+dia).html("<span style='color:black;'>"+arrayAulas[posicionGlobal]+"X<br>"+arrayHorasIni[posicionBloGlobal]+" a "+arrayHorasFin[posicionBloGlobal]+"</span>");



               if (cadenaTotal == "") {
                  cadenaTotal = arrayAulas[posicionGlobal] + "#" + arrayBloques[i] +
                          "#" + arrayHorasIni[posicionBloGlobal] +
                          "#" + arrayHorasFin[posicionBloGlobal];
               } else {
                  cadenaTotal = cadenaTotal + "-" + arrayAulas[posicionGlobal] + "#" + arrayBloques[i] +
                          "#" + arrayHorasIni[posicionBloGlobal] +
                          "#" + arrayHorasFin[posicionBloGlobal];
               }
            }




            //FIN OBTENER CADENA AULAS

            var codTurno = Turno;
            var codCurso = $("#cmbCurso").val();
            var codClase = $("#idClase").val();
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var grupoAulas = $("#grupoAulas").val();
            //let recibeMotivo=$("#cboMotivoCambio").val();
            historial = historial || 0
            //alert("codAula="+codaula+"&bloq="+bloq+"&dia="+dia+"&Hini="+Hini+"&Hfin="+Hfin+"&codTurno="+codTurno+"&codCurso="+codCurso+"&codDocente="+codDocente+'&periodo='+periodo+'&codGru='+codigaGrupoHorario+'&codClase='+codClase);
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=registrarAsigCurDoceHorarioGeneral2Personalizado',
               data: "codAula=" + codaula +
                       "&bloq=" + bloq +
                       "&dia=" + dia +
                       "&Hini=" + Hini +
                       "&Hfin=" + Hfin +
                       "&codTurno=" + codTurno +
                       "&codCurso=" + codCurso +
                       "&codDocente=" + codigoDocente +
                       '&periodo=' + periodo +
                       '&codGru=' + codigaGrupoHorario +
                       '&codClase=' + codClase +
                       '&grupoAulas=' + grupoAulas +
                       '&historial=' + historial +
                       '&motivoCambio=' + (json.motivoCambio || '') +
                       '&observacion=' + (json.observacion || '') +
                       '&condicionTrabajador=' + (json.condicionTrabajador || '') +
                       '&horaAviso=' + (json.horaAviso || '') +
                       '&fechafin=' + (json.fechafin || '') +
                       '&fechainicio=' + (json.fechainicio || '') +
                       '&cadenaTotal=' + cadenaTotal +
                       '&avance=' + (json.avance || '') +
                       '&fecha_recuperacion=' + (json.fecha_recuperacion || '') +
                       '&aula_recuperacion=' + (json.aula_recuperacion || '') +
                       '&curso_recuperacion=' + (json.curso_recuperacion || '') +
                       '&docente_recuperacion=' + (json.docente_recuperacion || '') +
                       '&fecha_aviso=' + (json.fecha_aviso || '') +
                       '&horaInicioRecuperacion=' + (json.horaInicioRecuperacion || '') +
                       '&horaFinRecuperacion=' + (json.horaFinRecuperacion || '') +
                       '&recuperacion=' + (json.recuperacion || ''),
               success: function (resultado) {
                  if (resultado == 1) {
                     popup_exito(codigaGrupoHorario, codaula, bloq, dia, Hini, Hfin, Turno, contGeneral);
                  } else if (resultado == 3) {
                     verCruce(codigaGrupoHorario, codigoDocente, dia, Hini, Hfin, periodo);
                  } else {
                     alert("ocurrió un error");
                  }

               }, complete: function () {

               }
            });
         }


         function verCruce(codigaGrupoHorario, codDocente, dia, Hini, Hfin, periodo) {
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=verCruceIndividual',
               data: 'codDocente=' + codDocente + '&dia=' + dia + '&Hini=' + Hini + '&Hfin=' + Hfin + '&periodo=' + periodo,
               success: function (resultado) {

                  $('#listadoCruce').html(resultado);
               }, complete: function () {
                  $("#listadoCruce").fadeIn();
               }
            });
         }

         function verCruceMasivo(codigaGrupoHorario, codDocente, dia, Hini, Hfin, periodo) {
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=verCruceMasivo',
               data: 'codDocente=' + codDocente + '&dia=' + dia + '&Hini=' + Hini + '&Hfin=' + Hfin + '&periodo=' + periodo,
               success: function (resultado) {
                  $('#listadoCruce').html(resultado);
               }, complete: function () {
                  $("#listadoCruce").fadeIn();
                  //$(document).tooltip();
               }
            });
         }

         function popup_exito(codigaGrupoHorario, codaula, posBlo, dia, Hor_ini, Hor_fin, turno, contGeneral) {
            asignarHorarioCursoIndividual(codigaGrupoHorario, codaula, posBlo, dia, Hor_ini, Hor_fin, turno, contGeneral);
            $("#dialog-armar2").dialog("close");
            $("#dialog-noti2").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-success btn-xs",
                     click: function () {
                        //asignarHorarioCursoIndividual(codaula,posBlo,dia,Hor_ini,Hor_fin,turno,contGeneral);
                        let aulaAgregada = sessionStorage.getItem("aulaAgregada");
                        var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
                        let codAulaFinal = ""
                        if (aulaAgregada == "" || aulaAgregada == null) {
                           armarHorarioGeneral(codAulas, "", "");
                        } else {
                           codAulaFinal = codAulas + "#" + aulaAgregada
                           armarHorarioGeneral(codAulaFinal, "", "");
                        }


                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function popup_exito_masivo(codigaGrupoHorario, codaula, bloq, dia, Hini, Hfin, Turno, contGeneral) {
            //asignarHorarioCurso(codaula,bloq,dia,Hini,Hfin,Turno,contGeneral);
            $("#dialog-armar2").dialog("close");
            $("#dialog-noti2").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-green' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-tags white'></i> <span class='white'>Notificación</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-success btn-xs",
                     click: function () {
                        //asignarHorarioCurso(codaula,bloq,dia,Hini,Hfin,Turno,contGeneral);
                        let nuevaAulaAgregada = sessionStorage.getItem("aulaAgregada")
                        if (nuevaAulaAgregada == null || nuevaAulaAgregada == "") {
                           armarHorarioGeneral("", "", "");
                        } else {
                           armarHorarioGeneral("", nuevaAulaAgregada, "");
                        }

                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }


         function asignarHorarioCurso(codaula, posBlo, dia, Hor_ini, Hor_fin, turno, contGeneral) {
            var cantidad = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_cantidad():""%>";
            var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
            var cadenaHorasIni = $("#cadenaHorasIni").val();
            var cadenaHorasFin = $("#cadenaHorasFin").val();
            //alert("codaula: "+codaula+"\n posBlo: "+posBlo+"\n dia: "+dia+"\n Hor_ini: "+Hor_ini+"\n Hor_fin: "+Hor_fin+"\n turno: "+turno+"\n contGeneral: "+contGeneral);

            var cant = 0;
            cant = parseInt(cantidad);
            var PosGeneral = 0;
            PosGeneral = parseInt(contGeneral);
            var cadenaPosGeneral = "";
            //----------- POSICION GENERAL -------INI------
            for (i = 1; i <= cant; i++) {
               if (PosGeneral == cant) {
                  if (cadenaPosGeneral == "") {
                     cadenaPosGeneral = PosGeneral;
                  } else {
                     cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                  }
                  PosGeneral = parseInt(PosGeneral) - (parseInt(PosGeneral) - 1);
               } else {
                  if (i == cant) {
                     cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                     PosGeneral = parseInt(PosGeneral) - (parseInt(PosGeneral) - 1);
                  } else {

                     if (cadenaPosGeneral == "") {
                        cadenaPosGeneral = PosGeneral;
                     } else {
                        cadenaPosGeneral = cadenaPosGeneral + "#" + PosGeneral;
                     }
                     PosGeneral = parseInt(PosGeneral) + 1;
                  }
               }
            }

            //----------- POSICION GENERAL -----FIN--------

            //alert(cadenaPosGeneral);


            //----------- POSICION DE BLOQUE -------INI------
            var cadenaPosBloques = "";
            var PosBloques = 0;
            PosBloques = parseInt(posBlo);
            for (i = 1; i <= cant; i++) {
               if (PosBloques == cant) {
                  if (cadenaPosBloques == "") {
                     cadenaPosBloques = PosBloques;
                  } else {
                     cadenaPosBloques = cadenaPosBloques + "#" + PosBloques;
                  }
                  PosBloques = parseInt(PosBloques) - (parseInt(PosBloques) - 1);
               } else {
                  if (i == cant) {
                     cadenaPosBloques = cadenaPosBloques + "#" + PosBloques;
                     PosBloques = parseInt(PosBloques) - (parseInt(PosBloques) - 1);
                  } else {

                     if (cadenaPosBloques == "") {
                        cadenaPosBloques = PosBloques;
                     } else {
                        cadenaPosBloques = cadenaPosBloques + "#" + PosBloques;
                     }
                     PosBloques = parseInt(PosBloques) + 1;
                  }
               }
            }

            //----------- POSICION DE BLOQUE -----FIN--------


            var arrayGeneral = cadenaPosGeneral.split("#");
            var arrayBloques = cadenaPosBloques.split("#");
            var arrayAulas = codAulas.split("#");
            var arrayHorasIni = cadenaHorasIni.split("#");
            var arrayHorasFin = cadenaHorasFin.split("#");
            var curso = $("#cmbCurso option:selected").text();
            var docente = $("#cmbDocDisp option:selected").text();
            var posicionGlobal = 0;
            var posicionBloGlobal = 0;
            for (i = 0; i < cant; i++) {
               posicionGlobal = arrayGeneral[i] - 1;
               posicionBloGlobal = arrayBloques[i] - 1;
               $("#curso_" + arrayGeneral[i] + "_" + arrayBloques[i] + "_" + dia).html("<span style='color:black;'><b>" + curso + "</b><br>" + docente + "</span>");
            }


         }

         function asignarHorarioCursoIndividual(codigaGrupoHorario, codaula, posBlo, dia, Hor_ini, Hor_fin, turno, contGeneral) {
            //alert("codaula: "+codaula+"\n posBlo: "+posBlo+"\n dia: "+dia+"\n Hor_ini: "+Hor_ini+"\n Hor_fin: "+Hor_fin+"\n turno: "+turno+"\n contGeneral: "+contGeneral);

            var curso = $("#cmbCurso option:selected").text();
            var docente = $("#cmbDocDisp option:selected").text();
            $("#curso_" + contGeneral + "_" + posBlo + "_" + dia).html("<span style='color:black;'><b>" + curso + "</b><br>" + docente + "</span>");
         }

         function eliminarMasivo(codAula, codDoc, codCur) {
            var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
            $("#dialog-eliminarM").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        eliminarHCD_Masivo(codAulas, codDoc, codCur);
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function eliminarHCD_Masivo(codAulas, codDoc, codCur) {
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            let aulaAgregada = sessionStorage.getItem("aulaAgregada")

            let codigoAulaFinal = "";
            if (aulaAgregada == "" || aulaAgregada == null) {
               codigoAulaFinal = codAulas
            } else {
               codigoAulaFinal = codAulas + "#" + aulaAgregada
            }

            //alert(codAulas+"\n"+codDoc+"\n"+codCur);
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=EliminarHorarioCursoMasivo',
               data: 'codAulas=' + codigoAulaFinal + '&codCur=' + codCur + '&periodo=' + periodo,
               success: function (resultado) {
                  //alert(resultado);
               }, complete: function () {

                  if (aulaAgregada == null || aulaAgregada == "") {

                     armarHorarioGeneral(codAulas, "", "");
                  } else {
                     armarHorarioGeneral("", aulaAgregada, "");
                  }

               }
            });
         }

         function eliminar(codHorarioCursoDocente, codAula) {
            $("#dialog-eliminar").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        eliminarHCD(codHorarioCursoDocente, codAula, "1");
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function eliminarHCD(codHorarioCursoDocente, codAula, cursoEliminado) {
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=EliminarHorarioCurso',
               data: 'codHorarioCursoDocente=' + codHorarioCursoDocente,
               success: function (resultado) {

               }, complete: function () {
                  armarHorarioGeneral(codAula, "", cursoEliminado);
               }
            });
         }


         function editar(codaula, posBlo, dia, Hor_ini, Hor_fin, codigo, contGeneral, codigoDocente, codigoCurso, clase, historial) {
            // function editar(codaula,posBlo,dia,Hor_ini,Hor_fin,turno,contGeneral,codigoDocente,codigoCurso,clase){                 
//                            armarAsignacionCursoEdit(0,posBlo,dia,Hor_ini,Hor_fin,codigo,codaula,contGeneral,codigoDocente,codigoCurso,clase);    
            cargarDocentesDisponiblesGeneral3TablaTemporal(0, codaula, posBlo, dia, Hor_ini, Hor_fin, codigo, contGeneral, codigoDocente, codigoCurso, clase, historial);
         }

         function cambioDia(codaula, posBlo, dia, Hor_ini, Hor_fin, codigo, contGeneral, codigoDocente, codigoCurso, clase, historial) {
            // function editar(codaula,posBlo,dia,Hor_ini,Hor_fin,turno,contGeneral,codigoDocente,codigoCurso,clase){                 
//                            armarAsignacionCursoEdit(0,posBlo,dia,Hor_ini,Hor_fin,codigo,codaula,contGeneral,codigoDocente,codigoCurso,clase);    
            cargarDocentesDisponiblesGeneral3TablaTemporal(0, codaula, posBlo, dia, Hor_ini, Hor_fin, codigo, contGeneral, codigoDocente, codigoCurso, clase, historial);
            cargarDocentesDisponiblesRecuperacion(posBlo, dia, codaula, codigoCurso);
         }
         function cambioCurso(codigoAula, pos_bloque, periodo, dia, codCurso, codDocente) {
            $("#dialog-cambioCurso").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               width: 300,
               show: "explode",
               hide: "explode",
               title: "<div class='widget-header widget-header-small'><div class='widget-header black'><h4 class='smaller'><i class='ace-icon fa fa-check-circle black'></i><span class='black'>  Cambios Curso</span></h4></div>",
               title_html: true,
               open: function () {

                  cargarCursoXArea(codDocente);
               },
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        let codigoCursoNuevo = $('select[id="cmbCursoArea"] option:selected').text();
                        realizarCambioCurso(codigoAula, pos_bloque, periodo, dia, codCurso, codigoCursoNuevo);
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }


         function cargarCursoXArea(codDocente) {
            $.ajax({
               url: '../ServletCurso?Accion=cargarCursoArea2',
               type: 'POST',
               data: {
                  codDocente: codDocente
               },
               success: function (data, textStatus, jqXHR) {
                  $("#divCursoCombo2").html(data);
               }
            });
         }

         function realizarCambioCurso(codigoAula, pos_bloque, periodo, dia, codCurso, codigoCursoNuevo) {
            $.ajax({
               url: '../ServletHorario?Accion=updateCambioCurso',
               type: 'POST',
               data: {
                  codAula: codigoAula,
                  posBloque: pos_bloque,
                  periodo: periodo,
                  dia: dia,
                  codigoCursoNuevo: codigoCursoNuevo
               },
               beforeSend: function () {
                  cargando();
               },
               success: function (data, textStatus, jqXHR) {

                  window.location = "arm_hor_gen.jsp";
               }
//					 ,complete:function(){
//                
//             }
            });
         }

         function cambioFijo(codaula, posBlo, dia, Hor_ini, Hor_fin, codigo, contGeneral, codigoDocente, codigoCurso, clase, historial) {
            // function editar(codaula,posBlo,dia,Hor_ini,Hor_fin,turno,contGeneral,codigoDocente,codigoCurso,clase){                 
//                            armarAsignacionCursoEdit(0,posBlo,dia,Hor_ini,Hor_fin,codigo,codaula,contGeneral,codigoDocente,codigoCurso,clase);    
            cargarDocentesDisponiblesGeneral3TablaTemporal(0, codaula, posBlo, dia, Hor_ini, Hor_fin, codigo, contGeneral, codigoDocente, codigoCurso, clase, historial);
         }

         function cargarDocentesDisponiblesGeneral3TablaTemporal(opcion, codaula, posBlo, dia, Hor_ini, Hor_fin, codigo, contGeneral, codigoDocente, codigoCurso, clase, historial) {
            $("#Hini").val(Hor_ini);
            $("#Hfin").val(Hor_fin);
            var dato = verificarTurno(Hor_ini, Hor_fin);
            var Turno = dato;
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            $.ajax({
               type: 'POST',
//                                    url:'../ServletDocente?Accion=cargarDocentesDisponiblesGeneral2',
               url: '../ServletDocente?Accion=cargarDocentesDisponiblesGeneral3',
               data: 'codTurno=' + Turno + '&dia=' + dia + '&codCurso=' + codigoCurso + '&periodo=' + periodo + '&opcion=' + opcion + '&codaula=' + codaula,
               success: function (resultado) {
                  armarAsignacionCursoEdit(0, posBlo, dia, Hor_ini, Hor_fin, codigo, codaula, contGeneral, codigoDocente, codigoCurso, clase, historial);
               }, complete: function () {
//                                        $("#formulario1").dialog( "close" );
               }
            });
         }

         function armarAsignacionCursoEdit(opcion, bloq, dia, Hini, Hfin, codigo, codaula, contGeneral, codigoDocente, codigoCurso, clase, historial) {
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var codigo = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codigo():""%>";
            var dato = verificarTurno(Hini, Hfin);
            var Turno = dato;
            var editar = "1";
            var cadenaAulas = $("#cadenaAulasHorario").val();
            $.ajax({
               type: 'POST',
//                                    url:'../ServletHorario?Accion=armarAsignacionCursoDocGeneralEdit2',
//                                    url:'../ServletHorario?Accion=armarAsignacionCursoDocGeneralEdit3',
               url: '../ServletHorario?Accion=armarAsignacionCursoDocGeneralEdit4',
               data: 'bloq=' + bloq + '&dia=' + dia + '&Turno=' + Turno + '&Hini=' + Hini + '&Hfin=' + Hfin + '&opcion=' + opcion + '&codigoDocente=' + codigoDocente + '&codigoCurso=' + codigoCurso + '&periodo=' + periodo + '&clase=' + clase + '&cadenaAulas=' + cadenaAulas + '&historial=' + historial,
               success: function (resultado) {
                  $('#divRegistroCursoDocente').html(resultado);
                  let formCambio = ''
                  if (historial == 'cambioFijo') {
                     formCambio = `<div class="col-sm-4">
							                      
                                                                                                                                             <div class="form-group">
                                                                                                                                                                                    <b>Condicion del nuevo trabajador </b><span style='color:red;'>*</span>
                                                                                                                                                                                    <select id="cboCondicionTrabajador" required style="width: 21.5em;">
                                                                                                                                                                                                    <option>[SELECCIONE]</option>
                                                                                                                                                                                                    <option id='NUEVO'>NUEVO</option>
                                                                                                                                                                                                    <option id='REINGRESO'>REINGRESO</option>
                                                                                                                                                                                                    <option id='ANTIGUO'>ANTIGUO</option>
																													
                                                                                                                                                                             </select>
                                                                                                                                                                    </div>
			                                       
																						
                                                                                                                                                    </div> <div class="col-sm-4">

                                         <div class="form-group">
                                              <div class="form-group">
                                                                                                                                                                                    <b>Observacion: </b>
                                                                                                                                                                                    <textarea style='font-size: 10pt;height: 3em;resize:none;width:15em;' id='txtAreaObservacion'></textarea>
                                                                                                                                                                             </div>
                                                                                                                                                                                                    </div>

                                     </div>      `
                  } else if (historial == 'cambioDia') {
                     formCambio = `                                                

                                                                                                                                                            <div class="col-sm-4">
                                                                                                                                                                                                    <div class="form-group">
                                                                                                                                                                                                    <b>Avance al dia</b>
                                                                                                                                                                                                    <select id="cboAvanceDia" onchange="validarAvance(this); style='width:15em;'">
                                                                                                                                                                                                    <option id='SELECCIONE'>[SELECCIONE]</option>
                                                                                                                                                                                                    <option id='SI'>SI</option>
                                                                                                                                                                                                    <option id='NO'>NO</option>
                                                                                                                                                                                                    </select>

                                                                                                                                                                                                    </div> 
                                                                                                                                                                                     </div>
			
			
                                                                                                                                                    <div class="col-sm-4">
                                                                                                                                                                    <div class="form-group center">
                                                                                                                                                                                    <b>¿Se programa recuperacion?</b>
                                                                                                                                                                                    <br><br>
                                                                                                                                                                                    <div class='col-sm-6'>
                                                                                                                                                                                                    <label>
                                                                                                                                                                                                    <input type="radio" name="recuperacion" value="SI"  id='radioSI' disabled>&zwj; Si
                                                                                                                                                                                                    </label>
                                                                                                                                                                                    </div>
                                                                                                                                                                                    <div class='col-sm-6'>
                                                                                                                                                                                                    <label>
                                                                                                                                                                                                    <input type="radio" name="recuperacion" value="NO" id='radioNO' disabled>&zwj; No
                                                                                                                                                                                                    </label>
                                                                                                                                                                                    </div>
																						
                                                                                                                                                    </div>       
                                                                                                                                                    `
                  }
                  $('#divFormularioCambio').html(formCambio)
                  $.mask.definitions['~'] = '[+-]';
                  $('.input-mask-time').mask('99:99 99/99/9999');
               }, complete: function () {
                  $("#listadoCruce").fadeOut();
                  //cargarCursoArea(opcion,bloq,dia);
                  alerta2(bloq, dia, Hini, Hfin, Turno, codigo, codaula, contGeneral, opcion, editar, historial);
               }
            });
         }

         function historyChangeDay(dia, codigoDoc) {
            var cadenaAulas = $("#cadenaAulasHorario").val();
            $("#dialog-historyChange").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               width: 550,
               show: "explode",
               hide: "explode",
               title: "<div class='widget-header widget-header-small'><div class='widget-header black'><h4 class='smaller'><i class='ace-icon fa fa-check-circle black'></i><span class='black'>  Cambio Dia</span></h4></div>",
               title_html: true,
               open: function () {
                  pintarHistorialCambioDiario(cadenaAulas, dia, codigoDoc);
               },
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; CERRAR",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]



            });
         }

         function pintarHistorialCambioDiario(cadenaAulas, dia, codigoDocente) {

            $.ajax({
               url: "../ServletHorario?Accion=verHistorialCambioDiario",
               type: 'POST',
               data: {
                  cadenaAula: cadenaAulas,
                  dia: dia,
                  codigoDocente: codigoDocente
               },
               success: function (data, textStatus, jqXHR) {
                  $('#divPintadoHistorial').html(data);
               }
            });
         }

         function confirmarMatematica() {

            var codigo = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codigo():""%>";
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var cant = 18;
            var cadena = "";
            $("input[name=chkMate]:checked").each(function () {
               let asignar2 = this.value;
               if (asignar2 != "" && asignar2 != undefined) {
                  if (cadena == "") {
                     cadena += asignar2;
                  } else {
                     cadena += "-" + asignar2;
                  }
               }

            });
            console.log(cadena)
            console.log(codigo)
            console.log(periodo)
            let codArea = 1;
            guardarPlanAcademico(cadena, codigo, periodo, codArea);
         }

         function confirmarComunicacion() {

            var codigo = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codigo():""%>";
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var cant = 18;
            var cadena = "";
            $("input[name=chkComunicacion]:checked").each(function () {
               let asignar2 = this.value;
               if (asignar2 != "" && asignar2 != undefined) {
                  if (cadena == "") {
                     cadena += asignar2;
                  } else {
                     cadena += "-" + asignar2;
                  }
               }

            });
            console.log(cadena)
            console.log(codigo)
            console.log(periodo)
            let codArea = 2;
            guardarPlanAcademico(cadena, codigo, periodo, codArea);
         }

         function confirmarCiencias() {

            var codigo = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codigo():""%>";
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var cant = 18;
            var cadena = "";
            $("input[name=chkCiencias]:checked").each(function () {
               let asignar2 = this.value;
               if (asignar2 != "" && asignar2 != undefined) {
                  if (cadena == "") {
                     cadena += asignar2;
                  } else {
                     cadena += "-" + asignar2;
                  }
               }

            });
            console.log(cadena)
            console.log(codigo)
            console.log(periodo)
            let codArea = 3;
            guardarPlanAcademico(cadena, codigo, periodo, codArea);
         }

         function confirmarCTA() {

            var codigo = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codigo():""%>";
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var cant = 18;
            var cadena = "";
            $("input[name=chkCTA]:checked").each(function () {
               let asignar2 = this.value;
               if (asignar2 != "" && asignar2 != undefined) {
                  if (cadena == "") {
                     cadena += asignar2;
                  } else {
                     cadena += "-" + asignar2;
                  }
               }

            });
            console.log(cadena)
            console.log(codigo)
            console.log(periodo)
            let codArea = 4;
            guardarPlanAcademico(cadena, codigo, periodo, codArea);
         }

         function confirmarCEF() {

            var codigo = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codigo():""%>";
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var cant = 18;
            var cadena = "";
            $("input[name=chkCEF]:checked").each(function () {
               let asignar2 = this.value;
               if (asignar2 != "" && asignar2 != undefined) {
                  if (cadena == "") {
                     cadena += asignar2;
                  } else {
                     cadena += "-" + asignar2;
                  }
               }

            });
            console.log(cadena)
            console.log(codigo)
            console.log(periodo)
            let codArea = 5;
            guardarPlanAcademico(cadena, codigo, periodo, codArea);
         }



         function guardarPlanAcademico(cadenaPlanas, codigo, periodo, codArea) {

            let json = {
               cadenaPlana: cadenaPlanas,
               codigoGrupoAulas: codigo,
               periodo: periodo,
               codArea: codArea
            }

            $.ajax({
               url: '../ServletPlanAcademico?Accion=guardarPlanAcademico',
               type: 'POST',
               dataType: 'json',
               data: {
                  json: JSON.stringify(json)
               },
               success: function (data, textStatus, jqXHR) {
                  console.log("insertado o actualizado" + data);
               }
            });
         }


         function validarAvance(sel) {
            if (sel.value === "NO") {

               $("#radioSI").prop('checked', 'checked');
//					 $("#radioNO").removeAttr("checked");
//             abrirCalendar();
               let curso = $("#cmbCurso option:selected").text();
               $("#lblcursoRecuperacion").text(curso);
               abrirModalRecuperacion();
            }



            if (sel.value === "SI") {

               $("#radioNO").prop('checked', 'checked');
               $("#lblcursoRecuperacion").text('');
               // document.getElementById("cbDocentesRecuperacion").options.length=1

            }

         }

         function abrirCalendar() {

            let hoy = new Date();
            let dia = hoy.getDate();
            let mes = hoy.getMonth() + 1;
            let mesLetras = "";
            switch (mes) {
               case 1:
                  mesLetras = "Enero";
                  break;
               case 2:
                  mesLetras = "Febrero";
                  break;
               case 3:
                  mesLetras = "Marzo";
                  break;
               case 4:
                  mesLetras = "Abril";
                  break;
               case 5:
                  mesLetras = "Mayo";
                  break;
               case 6:
                  mesLetras = "Junio";
                  break;
               case 7:
                  mesLetras = "Julio";
                  break;
               case 8:
                  mesLetras = "Agosto";
                  break;
               case 9:
                  mesLetras = "Septiembre";
                  break;
               case 10:
                  mesLetras = "Octubre";
                  break;
               case 11:
                  mesLetras = "Noviembre";
                  break;
               case 12:
                  mesLetras = "Diciembre";
                  break;
               default :
                  break;
            }
            let anio = hoy.getFullYear();
            let fechaActual = String(dia + "/" + mesLetras + "/" + anio);
            //let fechafinal=new Date(fechaActual);

            let fechaInicio = prompt("Fecha de recuperacion ", fechaActual)
            if (fechaInicio === null) {

               window.close();
            } else {
               alert("Fecha de recuperacion : " + fechaInicio);
            }
         }


         function regresar() {
            window.location = "gen_hor_gen.jsp";
            //sessionStorage.removeItem()("aula")
            sessionStorage.removeItem("aulaAgregada")

         }

         function EliminarTodoAula(codAula, periodo) {
            $("#dialog-eliminarTodo").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        eliminarTAula(codAula, periodo);
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function EliminarTodoElAula(codAula, periodo) {
            $("#dialog-eliminarBloque").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Conformidad</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; SI",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        eliminarDelGrupoAula(codAula, periodo);
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; NO",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function abrirModalRecuperacion() {

            let valor = $("#cboBloqueRecuperacion").val();
            if (valor === null) {
               pintarSelectBloque();
            }

            $("#dialog-bloque").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               show: "fold",
               width: 520,
               hide: "explode",
               title: "<div class='widget-color-blue widget-header-small'><div class='widget-header white'><h4 class='smaller'><i class='ace-icon fa fa-check-circle black'></i><span class='black'>Armar Recuperacion</span></h4></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp;Aceptar",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        let recibeBloque = $("#cboBloqueRecuperacion option:selected").val();
                        let fechaRecuperar = $("#datepicker3").val();
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp;Cancelar",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $("#cboAvanceDia").val("SI");
                        $(this).dialog("close");
                     }
                  }
               ]

            });
         }

         function pintarSelectBloque() {


            let cadenasAula = $("#lblCadenaAulas").text();
            if (cadenasAula.length > 7) {

               let array = cadenasAula.split(",");
               var selet = document.getElementById("cboBloqueRecuperacion");
               var x = "";
               var contador = 1;
               for (var i = 0; i < array.length; i++) {

                  x = document.createElement("option");
                  x.text = "Bloque " + contador++;
                  x.value = array[i];
                  selet.appendChild(x);
               }
            } else {
               $("#cboBloqueRecuperacion").append('<option>[SELECCIONE]</option>');
               $("#cboBloqueRecuperacion").append('<option value="' + cadenasAula + '">BLOQUE 1</option>');
            }
         }


         function eliminarTAula(codAula, periodo) {

            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=eliminarHorarioTodoAula',
               data: 'codAula=' + codAula + '&periodo=' + periodo,
               success: function (resultado) {

               }, complete: function () {
                  let aulaAgregada = sessionStorage.getItem("aulaAgregada")
                  if (aulaAgregada == "" || aulaAgregada == null) {
                     armarHorarioGeneral("", "", "");
                  } else {
                     armarHorarioGeneral("", aulaAgregada, "");
                  }

               }
            });
         }
         function eliminarDelGrupoAula(codAula, periodo) {
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=eliminarBloqueGrupoAula',
               data: 'codAula=' + codAula + '&periodo=' + periodo,
               success: function (resultado) {

               }, complete: function () {
                  modificarGrupoAulas(codAula)

               }
            });
         }
         function modificarGrupoAulas(codAula) {

            var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
            var cantidad = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_cantidad():""%>";
            var aulaAgregada = sessionStorage.getItem("aulaAgregada");
            let codAulasFinal = ""
            let cantidadFinal = 0;
            if (aulaAgregada == null || aulaAgregada == "") {
               codAulasFinal = codAulas
            } else {
               codAulasFinal = codAulas + "#" + aulaAgregada
            }
            console.log(codAulas)
            var separado = codAulasFinal.indexOf("#") > -1;
            var query = ""

            console.log(separado)

            if (separado) {

               let cortar = codAulasFinal.split("#")
               for (var i = 0; i < cortar.length; i++) {
                  if (codAula == cortar[i]) {
                     console.log("es igual")
                     if (aulaAgregada == codAula) {
                        sessionStorage.removeItem("aulaAgregada")
                     } else {
                        cantidadFinal = parseInt(cantidad) - 1
                     }

                  } else {
                     console.log("es diferente")
                     console.log("la longitud de cortar es : " + cortar.length)
                     if (query == "") {
                        query = cortar[i]
                     } else {
                        query += "#" + cortar[i];
                     }
                  }
               }
               console.log("query armarHorarioGeneral-->" + query)
            }

            armarHorarioGeneral(query, "", "");
         }


         function verfechaFin() {

            $("#dialog-fechafin").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-header widget-header-small'><div class='widget-header black'><h4 class='smaller'><i class='ace-icon fa fa-check-circle black'></i><span class='black'>Fecha Fin</span></h4></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp;Aceptar",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        let fecha = $("#datepicker").val();
                        $("#recibeFechaFin").val(fecha);
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp;Cancelar",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]

            });
         }
         function verfechaFaltaAviso() {

            $("#dialog-fechaAviso").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-header widget-header-small'><div class='widget-header black'><h4 class='smaller'><i class='ace-icon fa fa-check-circle black'></i><span class='black'>Fecha Aviso</span></h4></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp;Aceptar",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        let fecha = $("#datepicker4").val();
                        $("#recibeFechaFaltaAviso").val(fecha);
                        $(this).dialog("close");
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp;Cancelar",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]

            });
         }


         function abrirModal(check) {

            if (check.checked) {
               $("#dialog-fechainicio").removeClass('hide').dialog({
                  resizable: false,
                  modal: true,
                  title: "<div class='widget-header widget-header-small'><div class='widget-header black'><h4 class='smaller'><i class='ace-icon fa fa-check-circle black'></i><span class='black'>Fecha Inicio</span></h4></div>",
                  title_html: true,
                  buttons: [
                     {
                        html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp;Aceptar",
                        "class": "btn btn-primary btn-xs",
                        click: function () {
                           let fecha = $("#datepicker2").val();
                           $("#recibeFechaInicio").val(fecha);
                           $(this).dialog("close");
                        }
                     }, {
                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp;Cancelar",
                        "class": "btn btn-danger btn-xs",
                        click: function () {
                           $(this).dialog("close");
                        }
                     }
                  ]

               });
            }





//				let hoy=new Date();
//				let dia=hoy.getDate();
//				let mes=hoy.getMonth()+1;
//				let mesLetras="";
//				switch(mes){
//					case 1:
//						mesLetras="Enero";
//				  break;
//				case 2:
//					mesLetras="Febrero";
//					break;
//					case 3:
//					mesLetras="Marzo";
//					break;
//					case 4:
//					mesLetras="Abril";
//					break;
//					case 5:
//					mesLetras="Mayo";
//					break;
//					case 6:
//					mesLetras="Junio";
//					break;
//					case 7:
//					mesLetras="Julio";
//					break;
//					case 8:
//					mesLetras="Agosto";
//					break;
//					case 9:
//					mesLetras="Septiembre";
//					break;
//					case 10:
//					mesLetras="Octubre";
//					break;
//					case 11:
//					mesLetras="Noviembre";
//					break;
//					case 12:
//					mesLetras="Diciembre";
//					break;
//					default :
//						break;
//					
//				}
//				let anio=hoy.getFullYear();
//				let fechaActual=String(dia +"/"+mesLetras+"/"+anio);
//				//let fechafinal=new Date(fechaActual);
//			
//					let fechaInicio=prompt("Fecha Inicio ",fechaActual)
//					if(fechaInicio === null){
//						
//						window.close();
//						
//					}else{
//						 alert("La fecha Inicio sera: "+fechaInicio);	
//					}
//					







         }

         function armarHorarioGeneral(query, codNewAula, cursoEliminado) {
            let name = ''
            enviarAccionWebSocket('listarVistaDobleWS')
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            var cantidad = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_cantidad():""%>";
            var codAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codAulas():""%>";
            var cadena = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_cadena().trim():""%>";
            var codigo = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_codigo():""%>";
            var cadenaAulas = "<%=armandoHorario!=null?armandoHorario.getArmarHoraio_cadenaAulas():""%>";
            var nombreSede = $("#cmbSede").val()
            console.log("nombreSede")
            console.log(nombreSede)

            let recibeQuery = ""
            let recibeCadenaAula = ""
            let recibeCantidad = 0;
            let aulaAgregada = sessionStorage.getItem("aulaAgregada")
            console.log("soy el query--->" + query)
            console.log("soy la nueva aula--->" + codNewAula)

            if (query == "") {

               if (codNewAula != "") {
                  recibeQuery = codAulas + "#" + codNewAula
                  recibeCadenaAula = cadenaAulas
                  recibeCantidad = parseInt(cantidad) + 1
                  // codigoAulas,cantidad,cadenaAulas
                  //updateGrupoAula(recibeQuery,recibeCantidad,periodo)

               } else {
                  //solo eliminamos 1 curso o agregamos 1 curso
                  recibeQuery = codAulas
                  recibeCadenaAula = cadenaAulas
                  recibeCantidad = cantidad;
               }

            } else {

               if (cursoEliminado == "1") {
                  //se agrego antes 1 aula ?

                  if (aulaAgregada == null || aulaAgregada == "") {
                     recibeQuery = codAulas
                     recibeCadenaAula = cadenaAulas
                     recibeCantidad = parseInt(cantidad)
                  } else {
                     recibeQuery = codAulas + "#" + aulaAgregada
                     recibeCadenaAula = cadenaAulas
                     recibeCantidad = parseInt(cantidad) + 1
                  }

               } else {
                  recibeQuery = query
                  if (recibeQuery.indexOf("#") > -1) {
                     recibeCadenaAula = cadenaAulas
//                                                
                     if (aulaAgregada == null || aulaAgregada == "") {
                        recibeCantidad = cantidad
                     } else {
                        recibeCantidad = parseInt(cantidad) + 1
                     }


                  } else {
                     recibeCadenaAula = recibeQuery
                     recibeCantidad = 1;
                  }
               }


            }

            //alert("cantidad= "+cantidad+"\n codAulas= "+codAulas+"\n cadena= "+cadena+"\n codigo= "+codigo+"\n cadenaAulas= "+cadenaAulas);
            //alert(codigo);
            //alert(cantidad+"\n"+codAulas+"\n"+codBlo+"\n"+codGru);
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=armadoHorarioGeneral2',
               data: 'cantidad=' + recibeCantidad + '&codAulas=' + recibeQuery + '&cadena=' + cadena + '&codigo=' + codigo + '&cadenaAulas=' + recibeCadenaAula,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  //alert(resultado);
                  $("#aula").html(resultado);
                  name = $("#lblUsuario").text();
                  if (name.substr(0, 2) === "DI" || name === "6" || name === "5") {
                     $("#aula #accionHorario").hide();
                     $("#aula #tachoEliminar").hide();
                     $("#aula #verCambioDia").hide();
                     $("#aula #sinCurso").prop("onclick", null).off("click");
                  }


               }, complete: function () {

               }
            });
         }





    </script>


    <!-- the following scripts are used in demo only for onpage help and you don't need them -->

    <link rel="stylesheet" href="../assets/css/ace.onpage-help.css" />
    <link rel="stylesheet" href="../docs/assets/js/themes/sunburst.css" />

    <script type="text/javascript"> ace.vars['base'] = '..';</script>
    <script src="../assets/js/ace/elements.onpage-help.js"></script>
    <script src="../assets/js/ace/ace.onpage-help.js"></script>
    <script src="../docs/assets/js/rainbow.js"></script>
    <script src="../assets/js/date-time/moment.js" type="text/javascript"></script>
    <script src="../docs/assets/js/language/generic.js"></script>
    <script src="../docs/assets/js/language/html.js"></script>
    <script src="../docs/assets/js/language/css.js"></script>
    <script src="../docs/assets/js/language/javascript.js"></script>
    <script src="../assets/js/date-time/bootstrap-datepicker.js" type="text/javascript"></script>
    <script src="../assets/js/date-time/bootstrap-datetimepicker.js" type="text/javascript"></script>
    <script src="../assets/js/date-time/bootstrap-timepicker.js" type="text/javascript"></script>
    <script src="../assets/js/date-time/daterangepicker.js" type="text/javascript"></script>
    <script src="js/languages/jquery.validationEngine-es.js" type="text/javascript" charset="utf-8"></script>
    <script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>

    <!--<script src="style/jquery.kolorpicker.js" type="text/javascript"></script>
    <link rel="stylesheet" href="style/kolorpicker.css" type="text/css" media="screen, tv, projection, print" />
    -->

    <script type="text/javascript" language="javascript" src="js/colorPicker.js"></script>
    <link rel="stylesheet" href="css/colorPicker.css" type="text/css"/>

</html>
