<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ include file="validar.jsp" %>
<!DOCTYPE html>
<html lang="es">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta charset="utf-8" />
    <title>:::SISTEMA DE HORARIOS:::</title>

    <meta name="description" content="overview &amp; stats" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />


    <link href="css/display.css" rel="stylesheet" type="text/css"/>        
    <link rel="stylesheet" href="../assets/css/bootstrap.css" />
    <link rel="stylesheet" href="../assets/css/font-awesome.css" />
    <link rel="stylesheet" href="../assets/css/jquery-ui.css" />
    <link rel="stylesheet" href="../assets/css/ace-fonts.css" />



    <link rel="stylesheet" href="../assets/css/ace.css" class="ace-main-stylesheet" id="main-ace-style" />
    <script src="../assets/js/ace-extra.js"></script>
    <link href="../assets/css/bootstrap-multiselect.css" rel="stylesheet" type="text/css"/>
    <link href="../assets/css/select2.css" rel="stylesheet" type="text/css"/>



    <!-- inline scripts related to this page -->
    <script type="text/javascript" language="javascript">

         /*$(document).ready( function() {
          jQuery("#registroEncuesta").validationEngine();
          });*/


    </script>
  </head>

  <body class="no-skin" onLoad="cargar();">
    <!-- #section:basics/navbar.layout -->
    <div id="navbar" class="navbar navbar-default">
      <script type="text/javascript">
           try {
              ace.settings.check('navbar', 'fixed')
           } catch (e) {
           }
      </script>

      <div class="navbar-container" id="navbar-container">
        <%@ include file="banner.jsp" %>
      </div><!-- /.navbar-container -->
      <p id="lblUsuario"><%=usuario!=null?usuario.getCodigoTipoUsuario():""%></p>

    </div>

    <!-- /section:basics/navbar.layout -->
    <div class="main-container" id="main-container">
      <script type="text/javascript">
           try {
              ace.settings.check('main-container', 'fixed')
           } catch (e) {
           }
      </script>

      <!-- #section:basics/sidebar -->
      <div id="sidebar" class="sidebar                  responsive">
        <script type="text/javascript">
             try {
                ace.settings.check('sidebar', 'fixed')
             } catch (e) {
             }
        </script>
        <input id="codModulo" type="hidden" value="<%=menu!=null?menu.getCodModulo():""%>">
        <input id="codCategoria" type="hidden" value="<%=menu!=null?menu.getCodCategoria():""%>">
        <%@ include file="menu.jsp" %>
        <!-- #section:basics/sidebar.layout.minimize -->
        <div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
          <i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
        </div>
        <!-- /section:basics/sidebar.layout.minimize -->
        <script type="text/javascript">
             try {
                ace.settings.check('sidebar', 'collapsed')
             } catch (e) {
             }
        </script>
      </div>

      <!-- /section:basics/sidebar -->
      <div class="main-content">
        <div class="main-content-inner">
          <!-- #section:basics/content.breadcrumbs -->
          <div class="breadcrumbs" id="breadcrumbs">
            <script type="text/javascript">
                 try {
                    ace.settings.check('breadcrumbs', 'fixed')
                 } catch (e) {
                 }
            </script>

            <ul class="breadcrumb">
              <li>
                <i class="ace-icon fa fa-home home-icon"></i>
                <a href="principal.jsp">INICIO</a>
              </li>
              <li class="active">HORARIOS</li>
            </ul><!-- /.breadcrumb -->
          </div>

          <!-- /section:basics/content.breadcrumbs -->
          <div class="page-content">

            <div class="page-header">
              <h1>
                Horarios
                <small>
                  <i class="ace-icon fa fa-angle-double-right"></i>
                  Generar Horario
                </small>
              </h1>
            </div><!-- /.page-header -->

            <div class="row">





              <!-- ----------- CONTENEDOR DE FORMULARIOS--------INI----- -->
              <div class="col-sm-12" style="width:100%;">

                <div  class="col-sm-1"></div>
                <div  class="col-sm-10">
                  <div class="widget-box widget-color-blue">
                    <div class="widget-header">
                      <h4 class="widget-title">Búsqueda por Aulas</h4>
                    </div>

                    <div class="widget-body">
                      <div class="widget-main no-padding">
                        <form id="registroEncuesta"  method="post">
                          <fieldset>


                            <div  class="col-sm-6">
                              <label for="form-field-select-3">Sede <span style="color: red;">*</span></label>
                              <br>
                              <div id="divLocales">
                                <select class="chosen-select form-control validate[required]" id="cmbSede" onchange="eliminarSession();" >
                                  <option value="">[Seleccione]</option>
                                </select>
                              </div> 
                              <br>
                            </div>
                            <div  class="col-sm-6">
                              <label for="form-field-select-3">Tipo Centro </label>
                              <br>
                              <div id="divTipoCentro">
                                <select class="chosen-select form-control validate[required]" id="cmbtipocentro" >
                                  <option value="">[Seleccione]</option>
                                </select>
                              </div> 
                              <br>
                            </div>
                            <div  class="col-sm-6">
                              <label for="form-field-select-3">Centro </label>
                              <br>
                              <div id="divCentro">
                                <select class="chosen-select form-control validate[required]" id="cmbcentro" >
                                  <option value="">[Seleccione]</option>
                                </select>
                              </div> 
                              <br>
                            </div>
                            <div  class="col-sm-6">
                              <label for="form-field-select-3">Nivel </label>
                              <br>
                              <div id="divNivel">
                                <select class="chosen-select form-control validate[required]" id="cmdnivel" >
                                  <option value="">[Seleccione]</option>
                                </select>
                              </div> 
                              <br>
                            </div>
                            <div  class="col-sm-6">
                              <label for="form-field-select-3">Tipo Grado </label>
                              <br>
                              <div id="divTipoGrado">
                                <select class="chosen-select form-control validate[required]" id="cmbtipogrado" >
                                  <option value="">[Seleccione]</option>
                                </select>
                              </div> 
                              <br>
                            </div>
                            <div  class="col-sm-6">
                              <label for="form-field-select-3">Ciclo/Grado </label>
                              <br>
                              <div id="divGrado">
                                <select class="chosen-select form-control validate[required]" id="cmbgrado" >
                                  <option value="">[Seleccione]</option>
                                </select>
                              </div> 
                              <br>
                            </div>
                            <div  class="col-sm-6">
                              <label for="form-field-select-3">Sección </label>
                              <br>
                              <div id="divSeccion">
                                <select class="chosen-select form-control validate[required]" id="cmbseccion" >
                                  <option value="">[Seleccione]</option>
                                </select>
                              </div> 
                              <br>
                            </div>
                            <div  class="col-sm-6">
                              <label for="form-field-select-3">Turno </label>
                              <br>
                              <div id="divTurno">
                                <select class="chosen-select form-control validate[required]" id="cmbturno" >
                                  <option value="">[Seleccione]</option>
                                </select>
                              </div> 
                              <br>
                            </div>


                          </fieldset>

                          <div class="form-actions center">
                            <button  class="btn btn-sm btn-primary" type="button" onclick="validar_registro();">
                              <i class="ace-icon fa fa-search icon-on-right bigger-110"></i>
                              Buscar Aulas
                            </button>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                </div>
                <div  class="col-sm-1"></div>

              </div>
              <div class="col-sm-12" style="width:100%; height: 40px;"></div>


              <div  class="col-sm-12" style="width:100%;">
                <div  class="col-sm-1" ></div>
                <div  class="col-sm-10">
                  <!-- -------------TABLA---INI------------ -->
                  <form id="Listado" name="formListado">
                    <div  id='aulaSeleccionadas'></div>
                  </form>
                  <!-- -------------TABLA---FIN------------ -->
                </div>
                <div  class="col-sm-1" ></div>
              </div>

              <!-- ----------------------------------------------------- -->
              <div class="col-sm-12" style="width:100%; height: 40px;"></div>
              <!-- ----------------------------------------------------- -->

              <div  class="col-sm-12" style="width:100%;">
                <div  class="col-sm-12">
                  <!-- -------------TABLA---INI------------ -->
                  <form id="formListado" name="formListado">
                    <div style="display: none;" id='aula'></div>
                  </form>
                  <!-- -------------TABLA---FIN------------ -->
                </div>
              </div>

              <!-- ----------- CONTENEDOR DE FORMULARIOS--------FIN----- -->

              <input type="hidden" id="codAulas">
              <input type="hidden" id="nomAulas">
              <input type="hidden" id="cantSelec">


              <!-- ::::::::::-ALERTAS-::::::::::::::: -->


              <div id="dialog-noti1" class="hide">
                <br>
                --------------------------------
                <br><br>
              </div>

              <div id="dialog-planAcademico" class="hide">
                <div class="form-group">
                  <label class="control-label col-xs-12 col-sm-5 no-padding-right"> Matematica :</label>

                  <div class="col-xs-12 col-sm-5">
                    <select multiple="" id="cboMatematica" name="state" class="select2" data-placeholder="Seleccionar...">

                      <option value="">&nbsp;</option>
                      <option></option>

                    </select>
                  </div>
                  &nbsp;
                  <label class="control-label col-xs-11 col-sm-5 no-padding-right"> Comunicación : </label>

                  <div class="col-xs-12 col-sm-6">
                    <select multiple="" id="cboComunicacion" name="state" class="select2" data-placeholder="Seleccionar...">
                      <option value="">&nbsp;</option>


                    </select>
                  </div>
                  &nbsp;
                  <label class="control-label col-xs-11 col-sm-5 no-padding-right"> Ciencias sociales : </label>		
                  <div class="col-xs-12 col-sm-6">
                    <select multiple="" id="cboCiencias" name="state" class="select2" data-placeholder="Seleccionar...">
                      <option value="">&nbsp;</option>


                    </select>
                  </div>
                  &nbsp;
                  <label class="control-label col-xs-11 col-sm-5 no-padding-right"> C.T.A :</label>		
                  <div class="col-xs-12 col-sm-6">
                    <select multiple="" id="cboCTA" name="state" class="select2" data-placeholder="Seleccionar...">
                      <option value="">&nbsp;</option>


                    </select>
                  </div>

                  &nbsp;
                  <label class="control-label col-xs-11 col-sm-5 no-padding-right"> C.E.F : </label>		
                  <div class="col-xs-12 col-sm-6">
                    <select multiple="" id="cboCEF" name="state" class="select2" data-placeholder="Seleccionar...">
                      <option value="">&nbsp;</option>


                    </select>
                  </div>



                </div>

              </div>


              <div id="dialog-confor1" class="hide">
                <br>
                ---------------------------------
                <br><br>
              </div>

              <div id="dialog-advertencia1" class="hide">
                <br>
                Ya se agregó el aula.
                <br><br>
              </div>

              <div id="dialog-advertencia2" class="hide">
                <br>
                Debe mostar el bloque escogido.
                <br><br>
              </div>

              <div id="dialog-advertencia3" class="hide">
                <br>
                No hay bloques creados para la cantidad de aulas seleccionas.
                <br><br>
              </div>

              <div id="dialog-advertencia4" class="hide">
                <br>
                No hay grupos creados para el bloque que pertenece a la cantidad de aulas seleccionas.
                <br><br>
              </div>

              <div id="dialog-armar1" class="hide">
                <br>
                <form id="RegistroArmado" method="post">
                  <div class="sttxt2" id="divRegistro"></div>
                </form>
                <br><div  class="col-sm-12"></div>
                <div class="sttxt2" id="divVistaPrevia" style="display:none;"></div>
                <br><br>
              </div>

              <div id="dialog-horario" class="hide">
                <br>
                <div id="popupAula" ></div>
                <br><br>
              </div>

              <div id="dialog-historial" class="hide">
                <br>
                <div id="historia" ></div>
                <br><br>
              </div>

              <div id="dialog-edit" class="hide">
                <br>
                <div id="divGrupoAula" ></div>
                <br><br>
              </div>


              <div id="dialog-cargando" class="hide">
                <table cellpadding="0" cellspacing="0" width="100%">
                  <tr><td align="center"><img src="imagenes/cargando.gif" border=0></td></tr>
                </table>
              </div>

              <!-- ::::::::::-ALERTAS-::::::::::::::: -->


            </div><!-- /.row -->
          </div><!-- /.page-content -->
        </div>
      </div><!-- /.main-content -->

      <div class="footer">
        <%@ include file="footer.jsp" %>
      </div>

      <a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
        <i class="ace-icon fa fa-angle-double-up icon-only bigger-110"></i>
      </a>
    </div><!-- /.main-container -->

    <!-- basic scripts -->

    <!--[if !IE]> -->
    <script type="text/javascript">
         window.jQuery || document.write("<script src='../assets/js/jquery.js'>" + "<" + "/script>");
    </script>

    <!-- <![endif]-->

    <!--[if IE]>
<script type="text/javascript">
 window.jQuery || document.write("<script src='../assets/js/jquery1x.js'>"+"<"+"/script>");
</script>
<![endif]-->
    <script type="text/javascript">
         if ('ontouchstart' in document.documentElement)
            document.write("<script src='../assets/js/jquery.mobile.custom.js'>" + "<" + "/script>");
    </script>
    <script src="../assets/js/bootstrap.js"></script>

    <!-- page specific plugin scripts -->
    <script src="../assets/js/jquery-ui.js"></script>
    <script src="../assets/js/jquery.ui.touch-punch.js"></script>

    <!--[if lte IE 8]>
      <script src="../assets/js/excanvas.js"></script>
    <![endif]-->
    <script src="../assets/js/jquery-ui.custom.js"></script>
    <script src="../assets/js/jquery.ui.touch-punch.js"></script>
    <script src="../assets/js/jquery.easypiechart.js"></script>
    <script src="../assets/js/jquery.sparkline.js"></script>
    <script src="../assets/js/flot/jquery.flot.js"></script>
    <script src="../assets/js/flot/jquery.flot.pie.js"></script>
    <script src="../assets/js/flot/jquery.flot.resize.js"></script>

    <!-- ace scripts -->
    <script src="../assets/js/ace/elements.scroller.js"></script>
    <script src="../assets/js/ace/elements.colorpicker.js"></script>
    <script src="../assets/js/ace/elements.fileinput.js"></script>
    <script src="../assets/js/ace/elements.typeahead.js"></script>
    <script src="../assets/js/ace/elements.wysiwyg.js"></script>
    <script src="../assets/js/ace/elements.spinner.js"></script>
    <script src="../assets/js/ace/elements.treeview.js"></script>
    <script src="../assets/js/ace/elements.wizard.js"></script>
    <script src="../assets/js/ace/elements.aside.js"></script>
    <script src="../assets/js/ace/ace.js"></script>
    <script src="../assets/js/ace/ace.ajax-content.js"></script>
    <script src="../assets/js/ace/ace.touch-drag.js"></script>
    <script src="../assets/js/ace/ace.sidebar.js"></script>
    <script src="../assets/js/ace/ace.sidebar-scroll-1.js"></script>
    <script src="../assets/js/ace/ace.submenu-hover.js"></script>
    <script src="../assets/js/ace/ace.widget-box.js"></script>
    <script src="../assets/js/ace/ace.settings.js"></script>
    <script src="../assets/js/ace/ace.settings-rtl.js"></script>
    <script src="../assets/js/ace/ace.settings-skin.js"></script>
    <script src="../assets/js/ace/ace.widget-on-reload.js"></script>
    <script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>
    <script src="../assets/js/ace/ace.searchbox-autocomplete.js"></script>


    <link rel="stylesheet" href="css/validationEngine.jquery.css" type="text/css"/>
    <!--<link rel="stylesheet" href="css/template.css" type="text/css"/>-->


    <!-- inline scripts related to this page -->
    <script type="text/javascript">

         jQuery(function ($) {


            //override dialog's title function to allow for HTML titles
            $.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
               _title: function (title) {
                  var $title = this.options.title || '&nbsp;'
                  if (("title_html" in this.options) && this.options.title_html == true)
                     title.html($title);
                  else
                     title.text($title);
               }
            }));



            $("#id-btn-dialog2").on('click', function (e) {//--
               e.preventDefault();
               $("#dialog-confirm").removeClass('hide').dialog({
                  resizable: false,
                  modal: true,
                  title: "<div class='widget-header'><h4 class='smaller'><i class='ace-icon fa fa-exclamation-triangle red'></i> Empty the recycle bin?</h4></div>",
                  title_html: true,
                  buttons: [
                     {
                        html: "<i class='ace-icon fa fa-trash-o bigger-110'></i>&nbsp; Delete all items",
                        "class": "btn btn-danger btn-xs",
                        click: function () {
                           $(this).dialog("close");
                        }
                     }
                     ,
                     {
                        html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; Cancel",
                        "class": "btn btn-xs",
                        click: function () {
                           $(this).dialog("close");
                        }
                     }
                  ]
               });
            });


            $(document).one('ajaxloadstart.page', function (e) {
               $('[class*=select2]').remove();
               $('select[name="duallistbox_demo1[]"]').bootstrapDualListbox('destroy');
               $('.rating').raty('destroy');
               $('.multiselect').multiselect('destroy');
            });




            //SELECT2
            $('.select2').css('width', '200px').select2({allowClear: true})
            $('#select2-multiple-style .btn').on('click', function (e) {
               var target = $(this).find('input[type=radio]');
               var which = parseInt(target.val());
               if (which == 2)
                  $('.select2').addClass('tag-input-style');
               else
                  $('.select2').removeClass('tag-input-style');
            });



            $('.easy-pie-chart.percentage').each(function () {
               var $box = $(this).closest('.infobox');
               var barColor = $(this).data('color') || (!$box.hasClass('infobox-dark') ? $box.css('color') : 'rgba(255,255,255,0.95)');
               var trackColor = barColor == 'rgba(255,255,255,0.95)' ? 'rgba(255,255,255,0.25)' : '#E2E2E2';
               var size = parseInt($(this).data('size')) || 50;
               $(this).easyPieChart({
                  barColor: barColor,
                  trackColor: trackColor,
                  scaleColor: false,
                  lineCap: 'butt',
                  lineWidth: parseInt(size / 10),
                  animate: /msie\s*(8|7|6)/.test(navigator.userAgent.toLowerCase()) ? false : 1000,
                  size: size
               });
            })

            $('.sparkline').each(function () {
               var $box = $(this).closest('.infobox');
               var barColor = !$box.hasClass('infobox-dark') ? $box.css('color') : '#FFF';
               $(this).sparkline('html',
                       {
                          tagValuesAttribute: 'data-values',
                          type: 'bar',
                          barColor: barColor,
                          chartRangeMin: $(this).data('min') || 0
                       });
            });


            //flot chart resize plugin, somehow manipulates default browser resize event to optimize it!
            //but sometimes it brings up errors with normal resize event handlers
            $.resize.throttleWindow = false;

            var placeholder = $('#piechart-placeholder').css({'width': '90%', 'min-height': '150px'});
            var data = [
               {label: "social networks", data: 38.7, color: "#68BC31"},
               {label: "search engines", data: 24.5, color: "#2091CF"},
               {label: "ad campaigns", data: 8.2, color: "#AF4E96"},
               {label: "direct traffic", data: 18.6, color: "#DA5430"},
               {label: "other", data: 10, color: "#FEE074"}
            ]
            function drawPieChart(placeholder, data, position) {
               $.plot(placeholder, data, {
                  series: {
                     pie: {
                        show: true,
                        tilt: 0.8,
                        highlight: {
                           opacity: 0.25
                        },
                        stroke: {
                           color: '#fff',
                           width: 2
                        },
                        startAngle: 2
                     }
                  },
                  legend: {
                     show: true,
                     position: position || "ne",
                     labelBoxBorderColor: null,
                     margin: [-30, 15]
                  }
                  ,
                  grid: {
                     hoverable: true,
                     clickable: true
                  }
               })
            }
            drawPieChart(placeholder, data);

            /**
             we saved the drawing function and the data to redraw with different position later when switching to RTL mode dynamically
             so that's not needed actually.
             */
            placeholder.data('chart', data);
            placeholder.data('draw', drawPieChart);


            //pie chart tooltip example
            var $tooltip = $("<div class='tooltip top in'><div class='tooltip-inner'></div></div>").hide().appendTo('body');
            var previousPoint = null;

            placeholder.on('plothover', function (event, pos, item) {
               if (item) {
                  if (previousPoint != item.seriesIndex) {
                     previousPoint = item.seriesIndex;
                     var tip = item.series['label'] + " : " + item.series['percent'] + '%';
                     $tooltip.show().children(0).text(tip);
                  }
                  $tooltip.css({top: pos.pageY + 10, left: pos.pageX + 10});
               } else {
                  $tooltip.hide();
                  previousPoint = null;
               }

            });

            /////////////////////////////////////
            $(document).one('ajaxloadstart.page', function (e) {
               $tooltip.remove();
            });




            var d1 = [];
            for (var i = 0; i < Math.PI * 2; i += 0.5) {
               d1.push([i, Math.sin(i)]);
            }

            var d2 = [];
            for (var i = 0; i < Math.PI * 2; i += 0.5) {
               d2.push([i, Math.cos(i)]);
            }

            var d3 = [];
            for (var i = 0; i < Math.PI * 2; i += 0.2) {
               d3.push([i, Math.tan(i)]);
            }


            var sales_charts = $('#sales-charts').css({'width': '100%', 'height': '220px'});
            $.plot("#sales-charts", [
               {label: "Domains", data: d1},
               {label: "Hosting", data: d2},
               {label: "Services", data: d3}
            ], {
               hoverable: true,
               shadowSize: 0,
               series: {
                  lines: {show: true},
                  points: {show: true}
               },
               xaxis: {
                  tickLength: 0
               },
               yaxis: {
                  ticks: 10,
                  min: -2,
                  max: 2,
                  tickDecimals: 3
               },
               grid: {
                  backgroundColor: {colors: ["#fff", "#fff"]},
                  borderWidth: 1,
                  borderColor: '#555'
               }
            });


            $('#recent-box [data-rel="tooltip"]').tooltip({placement: tooltip_placement});
            function tooltip_placement(context, source) {
               var $source = $(source);
               var $parent = $source.closest('.tab-content')
               var off1 = $parent.offset();
               var w1 = $parent.width();

               var off2 = $source.offset();
               //var w2 = $source.width();

               if (parseInt(off2.left) < parseInt(off1.left) + parseInt(w1 / 2))
                  return 'right';
               return 'left';
            }


            $('.dialogs,.comments').ace_scroll({
               size: 300
            });


            //Android's default browser somehow is confused when tapping on label which will lead to dragging the task
            //so disable dragging when clicking on label
            var agent = navigator.userAgent.toLowerCase();
            if ("ontouchstart" in document && /applewebkit/.test(agent) && /android/.test(agent))
               $('#tasks').on('touchstart', function (e) {
                  var li = $(e.target).closest('#tasks li');
                  if (li.length == 0)
                     return;
                  var label = li.find('label.inline').get(0);
                  if (label == e.target || $.contains(label, e.target))
                     e.stopImmediatePropagation();
               });

            $('#tasks').sortable({
               opacity: 0.8,
               revert: true,
               forceHelperSize: true,
               placeholder: 'draggable-placeholder',
               forcePlaceholderSize: true,
               tolerance: 'pointer',
               stop: function (event, ui) {
                  //just for Chrome!!!! so that dropdowns on items don't appear below other items after being moved
                  $(ui.item).css('z-index', 'auto');
               }
            }
            );
            $('#tasks').disableSelection();
            $('#tasks input:checkbox').removeAttr('checked').on('click', function () {
               if (this.checked)
                  $(this).closest('li').addClass('selected');
               else
                  $(this).closest('li').removeClass('selected');
            });


            //show the dropdowns on top or bottom depending on window height and menu position
            $('#task-tab .dropdown-hover').on('mouseenter', function (e) {
               var offset = $(this).offset();

               var $w = $(window)
               if (offset.top > $w.scrollTop() + $w.innerHeight() - 100)
                  $(this).addClass('dropup');
               else
                  $(this).removeClass('dropup');
            });



         });

         //::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

         $(document).ready(function () {
            jQuery("#registroEncuesta").validationEngine();
         });

         //-------------------------------

         function cargando() {
            $("#dialog-cargando").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-header' ><h4 class='smaller'><i class='fa fa-spinner'></i> Cargando...</h4></div>",
               title_html: true
            });
         }

         function eliminarSession() {
            let codSede = $("#cmbSede").val()
            sessionStorage.setItem("aulaNueva", codSede)
            console.log("holii")
         }

         function close_carga() {
            $("#dialog-cargando").dialog("close");
         }

         function conMayusculas(field) {
            field.value = field.value.toUpperCase()
         }

         function segundaCarga() {
            cargarsede();
         }

         function cargarsede() {
            var Accion = "cargarTipoCentro();limpiarListado();eliminarSession();";
            var nombre = "cmbSede";
            $.ajax({
               type: 'POST',
               url: '../ServletUsuario?accion=cargarSedeBlo',
               data: 'Accion=' + Accion,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $("#divLocales").html(resultado);
               }, complete: function () {
                  cargarTipoCentro();
               }
            });

         }

         function limpiarListado() {
            $('#aula').fadeOut();
            /*$('#codAulas').val("");
             $('#nomAulas').val("");
             $('#aulaSeleccionadas').html("");*/
         }

         function limpiar() {
            $('#divVistaPrevia').fadeOut();
            $("#divVistaPrevia2").fadeOut();
         }



         function cargarTipoCentro() {
            var accion = "cargarCentro();limpiarListado();";
            var codSede = $("#cmbSede").val();
            $.ajax({
               type: 'POST',
               url: '../ServletTipoCentro?Accion=cargarTipoCentroBlo',
               data: 'accion=' + accion + '&codSede=' + codSede,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $("#divTipoCentro").html(resultado);
               }, complete: function () {
                  cargarCentro();
               }
            });

         }


         function cargarCentro() {
            var codTipoCentro = $("#cmbTipoCentro").val();
            var codSede = $("#cmbSede").val();
            var accion = "cargarNivel();limpiarListado();";
            var nombre = "cmbcentro";
            $.ajax({
               type: 'POST',
               url: '../ServletCentro?Accion=cargarCentroBlo',
               data: 'accion=' + accion + '&codTipoCentro=' + codTipoCentro + '&nombre=' + nombre + '&codSede=' + codSede,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $("#divCentro").html(resultado);
               }, complete: function () {
                  cargarNivel();
               }
            });

         }

         function cargarNivel() {
            var codSede = $("#cmbSede").val();
            var codTipoCentro = $("#cmbTipoCentro").val();
            var codCentro = $("#cmbcentro").val();
            var accion = "cargarTipoGrado();limpiarListado();";
            var nombre = "cmbnivel";
            $.ajax({
               type: 'POST',
               url: '../ServletNivel?Accion=cargarNivelBlo',
               data: 'accion=' + accion + '&codCentro=' + codCentro + '&nombre=' + nombre + '&codSede=' + codSede + '&codTipoCentro=' + codTipoCentro,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $("#divNivel").html(resultado);
               }, complete: function () {
                  cargarTipoGrado();
               }
            });

         }

         function cargarTipoGrado() {
            var codSede = $("#cmbSede").val();
            var codTipoCentro = $("#cmbTipoCentro").val();
            var codCentro = $("#cmbcentro").val();
            var codNivel = $("#cmbnivel").val();
            var accion = "cargargrado();limpiarListado();";
            var nombre = "cmbtipogrado";
            $.ajax({
               type: 'POST',
               url: '../ServletTipoGrado?Accion=cargarTipoGradoBlo',
               data: 'accion=' + accion + '&codCentro=' + codCentro + '&nombre=' + nombre + '&codNivel=' + codNivel + '&codSede=' + codSede + '&codTipoCentro=' + codTipoCentro,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $("#divTipoGrado").html(resultado);
               }, complete: function () {
                  cargargrado();
               }
            });

         }


         function cargargrado() {
            var codSede = $("#cmbSede").val();
            var codTipoCentro = $("#cmbTipoCentro").val();
            var codCentro = $("#cmbcentro").val();
            var codNivel = $("#cmbnivel").val();
            var codTipoGrado = $("#cmbtipogrado").val();
            var accion = "cargarSeccion();limpiarListado();";
            var nombre = "cmbgrado";
            $.ajax({
               type: 'POST',
               url: '../ServletGrado?Accion=cargarGradoBlo',
               data: 'accion=' + accion + '&codCentro=' + codCentro + '&nombre=' + nombre + '&codNivel=' + codNivel + '&codTipoGrado=' + codTipoGrado + '&codSede=' + codSede + '&codTipoCentro=' + codTipoCentro,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $("#divGrado").html(resultado);
               }, complete: function () {
                  cargarSeccion();
               }
            });

         }

         function cargarSeccion() {
            var codSede = $("#cmbSede").val();
            var codTipoCentro = $("#cmbTipoCentro").val();
            var codCentro = $("#cmbcentro").val();
            var codNivel = $("#cmbnivel").val();
            var codTipoGrado = $("#cmbtipogrado").val();
            var codGrado = $("#cmbgrado").val();
            var accion = "cargarTurno();limpiarListado();";
            var nombre = "cmbSeccion";
            $.ajax({
               type: 'POST',
               url: '../ServletSeccion?Accion=cargarSeccionBlo',
               data: 'accion=' + accion + '&codCentro=' + codCentro + '&nombre=' + nombre + '&codNivel=' + codNivel + '&codTipoGrado=' + codTipoGrado + '&codGrado=' + codGrado + '&codSede=' + codSede + '&codTipoCentro=' + codTipoCentro,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $("#divSeccion").html(resultado);
               }, complete: function () {
                  cargarTurno();
               }
            });

         }

         function cargarTurno() {
            var codSede = $("#cmbSede").val();
            var codTipoCentro = $("#cmbTipoCentro").val();
            var codCentro = $("#cmbcentro").val();
            var codNivel = $("#cmbnivel").val();
            var codTipoGrado = $("#cmbtipogrado").val();
            var codGrado = $("#cmbgrado").val();
            var codSeccion = $("#cmbSeccion").val();
            var accion = "limpiarListado();";
            var nombre = "cmbturno";
            var dato = 'accion=' + accion + '&codCentro=' + codCentro + '&nombre=' + nombre + '&codNivel=' + codNivel + '&codTipoGrado=' + codTipoGrado + '&codGrado=' + codGrado + '&codSede=' + codSede + '&codTipoCentro=' + codTipoCentro + '&codSeccion=' + codSeccion;
            $.ajax({
               type: 'POST',
               url: '../ServletTurno?Accion=cargarTurnoBlo',
               data: 'accion=' + accion + '&codCentro=' + codCentro + '&nombre=' + nombre + '&codNivel=' + codNivel + '&codTipoGrado=' + codTipoGrado + '&codGrado=' + codGrado + '&codSede=' + codSede + '&codTipoCentro=' + codTipoCentro + '&codSeccion=' + codSeccion,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $("#divTurno").html(resultado);
               }, complete: function () {
                  focus();
//                                                sessionStorage.setItem("aula","1");
                  let aula = sessionStorage.getItem("aulaNueva");

                  //recuperar valor de la url
                  if (aula != null) {
                     console.log(aula)


                     buscarAula(1)
                  } else {
                     console.log("No se ha guardado Nada")
                  }
               }
            });

         }

         function focus() {
            var codSede = $("#cmbSede").val();
            var codTipoCentro = $("#cmbTipoCentro").val();
            var codCentro = $("#cmbcentro").val();
            var codNivel = $("#cmbnivel").val();
            var codTipoGrado = $("#cmbtipogrado").val();
            var codGrado = $("#cmbgrado").val();
            var codSeccion = $("#cmbSeccion").val();
            var codTurno = $("#cmbturno").val();

            if (codSede != "" && codTipoCentro == "") {
               $("#cmbSede").focus();
            } else if (codTipoCentro != "" && codCentro == "") {
               $("#cmbTipoCentro").focus();
            } else if (codCentro != "" && codNivel == "") {
               $("#cmbcentro").focus();
            } else if (codNivel != "" && codTipoGrado == "") {
               $("#cmbnivel").focus();
            } else if (codTipoGrado != "" && codGrado == "") {
               $("#cmbtipogrado").focus();
            } else if (codGrado != "" && codSeccion == "") {
               $("#cmbgrado").focus();
            } else if (codSeccion != "" && codTurno == "") {
               $("#cmbSeccion").focus();
            }

         }


         function regresar() {
            window.location = "lista_aula_dirage.jsp";
         }

         function validar_registro() {
            var estado = $('#registroEncuesta').validationEngine('validate');
            if (estado) {
               var pagina = 1;
               buscarAula(pagina);
            }
         }

         function buscarAula(pagina) {
            let name = ''
            var cantidad = 15;
            var codSede = $("#cmbSede").val();
            var codTipoCentro = $("#cmbTipoCentro").val();
            var codCentro = $("#cmbcentro").val();
            var codNivel = $("#cmbnivel").val();
            var codTipoGrado = $("#cmbtipogrado").val();
            var codGrado = $("#cmbgrado").val();
            var codSeccion = $("#cmbSeccion").val();
            var codTurno = $("#cmbturno").val();
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";

            //GUARDO LA SEDE EN SESSION
            let codigoAulaFinal = "";
//                                sessionStorage.setItem("aula",codSede);

            let codAulaSession = sessionStorage.getItem("aulaNueva");

            if (codAulaSession != null) {
               codigoAulaFinal = codAulaSession
            } else {
               codigoAulaFinal = codSede
            }

            $.ajax({
               type: 'POST',
               url: '../ServletAula?Accion=listarAulasTotal',
               data: 'codCentro=' + codCentro + '&codNivel=' + codNivel + '&codTipoGrado=' + codTipoGrado + '&codGrado=' + codGrado + '&codSede=' + codigoAulaFinal + '&codTipoCentro=' + codTipoCentro + '&codSeccion=' + codSeccion + '&codTurno=' + codTurno + '&cantidad=' + cantidad + '&pagina=' + pagina + '&periodo=' + periodo,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
				debugger
                  $('#aula').html(resultado);
                  let op = $("#cmbSede").val();
                  debugger
                  name = $("#lblUsuario").text();
                  if (name === "6" || name === "5") {
                     $("#aula #btnAgregar").hide();
//																					 $("#aula #btnEditar").hide();
                     $("#aula #btnArmado").hide();

                  }

                  if (name.substr(0, 2) === "DI" || name === "5") {
                     $("#aula #btnAgregar").hide();
                     $("#aula #btnArmado").hide();
                  }

               }, complete: function () {
                  $('#aula').fadeIn();
                  console.log(`revisar...`)
                  debugger;
               //   $("#cmbSede").val(codAulaSession)

//                                                $("body").animate({ scrollTop: $(document).height()}, 1000);  
               }
            });
         }




         function agregar(codAula, nomaula) {
            var codAulas = $("#codAulas").val();
            var nomAulas = $("#nomAulas").val();
            var cadenaCodAulasI = codAulas.split("#");
            var cadenaNomAulasI = nomAulas.split("#");
            var dato = 0;
            if (codAulas == "") {
               $("#codAulas").val(codAula);
               $("#nomAulas").val(nomaula);
            } else {
               for (i = 0; i < cadenaCodAulasI.length; i++) {
                  if (codAula == cadenaCodAulasI[i]) {
                     dato = dato + 1;
                  }
               }
               if (dato == 0) {
                  $("#codAulas").val(codAulas + "#" + codAula);
                  $("#nomAulas").val(nomAulas + "#" + nomaula);
               } else {
                  Advertencia1();//alert("Ya se agregó el aula");
               }
            }

            var codAulasF = $("#codAulas").val();
            var nomAulasF = $("#nomAulas").val();
            var cadenaCodAulas = codAulasF.split("#");
            var cadenaNomAulas = nomAulasF.split("#");

            var cadenaCodAulas = codAulasF.split("#");
            var cadenaNomAulas = nomAulasF.split("#");

            var tablaCabeza = "";
            var tablapie = "";
            var contenido = "";
            var numero = 0;



            tablaCabeza = "<div style='border: 1px solid #CCCCCC;'>";
            tablaCabeza = tablaCabeza + "<div class='table-header'  style='background-color:#2C8E52;'>";
            tablaCabeza = tablaCabeza + "<table width='100%' height='60'>";
            tablaCabeza = tablaCabeza + "<tbody>";
            tablaCabeza = tablaCabeza + "<tr>";
            tablaCabeza = tablaCabeza + "<td>Aulas Seleccionadas</td>";
            tablaCabeza = tablaCabeza + "<td align='right' >";
            tablaCabeza = tablaCabeza + "<button class='btn btn-sm btn-white btn-success' onclick='validar_armado();' type='button'>";
            tablaCabeza = tablaCabeza + "<i class='ace-icon fa fa-check icon-on-right bigger-110'></i>";
            tablaCabeza = tablaCabeza + "Armar Horario";
            tablaCabeza = tablaCabeza + "</button>";
            tablaCabeza = tablaCabeza + "</td>";
            tablaCabeza = tablaCabeza + "<td width='10'></td>";
            tablaCabeza = tablaCabeza + "</tr>";
            tablaCabeza = tablaCabeza + "</tbody>";
            tablaCabeza = tablaCabeza + "</table>";
            tablaCabeza = tablaCabeza + "</div>";
            tablaCabeza = tablaCabeza + "<div>";
            tablaCabeza = tablaCabeza + "<div class='dataTables_wrapper form-inline no-footer' id='sample-table-2_wrapper'>";
            tablaCabeza = tablaCabeza + "<table class='table table-striped table-bordered table-hover dataTable no-footer' id='sample-table-2' role='grid' aria-describedby='sample-table-2_info' >";
            tablaCabeza = tablaCabeza + "<thead>";
            tablaCabeza = tablaCabeza + "<tr role='row'>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1' >N°</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>SEDE</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO CENTRO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>CENTRO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>NIVEL</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO GRADO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>GRADO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>SECCIÓN</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TURNO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>ELIMINAR</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>ACCIÓN</th>";
            tablaCabeza = tablaCabeza + "</tr>";
            tablaCabeza = tablaCabeza + "</thead>";
            tablaCabeza = tablaCabeza + "<tbody>";
            for (i = 0; i < cadenaCodAulas.length; i++) {
               numero = i + 1;
               contenido = contenido + "<tr>";
               contenido = contenido + "<td align='center'>" + numero + "</td>" + cadenaNomAulas[i];
               if (numero == 1) {
                  if (cadenaCodAulas.length == 1) {
                     contenido = contenido + "<td align='center'><i class='ace-icon fa fa-ban icon-on-right bigger-110 red'></i></td>";
                  } else {
                     contenido = contenido + "<td align='center'><a title='Bajar' class='regular' href='javascript:bajar(" + i + ");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
                  }
               } else if (numero == cadenaCodAulas.length) {
                  contenido = contenido + "<td align='center'><a title='Subir' class='regular' href='javascript:subir(" + i + ");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a></td>";
               } else {
                  contenido = contenido + "<td align='center'><a title='Subir' class='regular' href='javascript:subir(" + i + ");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a> <a title='Bajar' class='regular' href='javascript:bajar(" + i + ");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
               }

               contenido = contenido + "</tr>";
            }

            tablapie = "</tbody></table></div></div></div>";

            $("#aulaSeleccionadas").html(tablaCabeza + "" + contenido + "" + tablapie);

            $("#cantSelec").val(cadenaCodAulas.length);
         }

         function Advertencia1() {
            $("#dialog-advertencia1").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function remover(codaula) {
            var codAulas = $("#codAulas").val();
            var nomAulas = $("#nomAulas").val();
            var cadenaCodAulasI = codAulas.split("#");
            var cadenaNomAulasI = nomAulas.split("#");

            var removecodAula = "";
            var removenomAula = "";

            for (i = 0; i < cadenaCodAulasI.length; i++) {
               if (codaula == cadenaCodAulasI[i]) {
                  if (i == 0) {
                     if (cadenaCodAulasI.length > 1) {
                        removecodAula = codAulas.replace(cadenaCodAulasI[i] + "#", "");
                        removenomAula = nomAulas.replace(cadenaNomAulasI[i] + "#", "");
                     } else {
                        removecodAula = codAulas.replace(cadenaCodAulasI[i], "");
                        removenomAula = nomAulas.replace(cadenaNomAulasI[i], "");
                     }
                  } else if (i > 0) {
                     removecodAula = codAulas.replace("#" + cadenaCodAulasI[i], "");
                     removenomAula = nomAulas.replace("#" + cadenaNomAulasI[i], "");
                  }
               }
            }
            $("#codAulas").val(removecodAula);
            $("#nomAulas").val(removenomAula);


            var codAulasF = $("#codAulas").val();
            var nomAulasF = $("#nomAulas").val();
            var cadenaCodAulas = codAulasF.split("#");
            var cadenaNomAulas = nomAulasF.split("#");

            var cadenaCodAulas = codAulasF.split("#");
            var cadenaNomAulas = nomAulasF.split("#");

            var tablaCabeza = "";
            var tablapie = "";
            var contenido = "";
            var numero = 0;


            tablaCabeza = "<div style='border: 1px solid #CCCCCC;'>";
            tablaCabeza = tablaCabeza + "<div class='table-header'  style='background-color:#2C8E52;'>";
            tablaCabeza = tablaCabeza + "<table width='100%' height='60'>";
            tablaCabeza = tablaCabeza + "<tbody>";
            tablaCabeza = tablaCabeza + "<tr>";
            tablaCabeza = tablaCabeza + "<td>Aulas Seleccionadas</td>";
            tablaCabeza = tablaCabeza + "<td align='right' >";
            tablaCabeza = tablaCabeza + "<button class='btn btn-sm btn-white btn-success' type='button' onclick='validar_armado();' >";
            tablaCabeza = tablaCabeza + "<i class='ace-icon fa fa-check icon-on-right bigger-110'></i>";
            tablaCabeza = tablaCabeza + "Armar Horario";
            tablaCabeza = tablaCabeza + "</button>";
            tablaCabeza = tablaCabeza + "</td>";
            tablaCabeza = tablaCabeza + "<td width='10'></td>";
            tablaCabeza = tablaCabeza + "</tr>";
            tablaCabeza = tablaCabeza + "</tbody>";
            tablaCabeza = tablaCabeza + "</table>";
            tablaCabeza = tablaCabeza + "</div>";
            tablaCabeza = tablaCabeza + "<div>";
            tablaCabeza = tablaCabeza + "<div class='dataTables_wrapper form-inline no-footer' id='sample-table-2_wrapper'>";
            tablaCabeza = tablaCabeza + "<table class='table table-striped table-bordered table-hover dataTable no-footer' id='sample-table-2' role='grid' aria-describedby='sample-table-2_info' >";
            tablaCabeza = tablaCabeza + "<thead>";
            tablaCabeza = tablaCabeza + "<tr role='row'>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1' >N°</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>SEDE</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO CENTRO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>CENTRO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>NIVEL</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO GRADO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>GRADO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>SECCIÓN</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TURNO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>ELIMINAR</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>ACCIÓN</th>";
            tablaCabeza = tablaCabeza + "</tr>";
            tablaCabeza = tablaCabeza + "</thead>";
            tablaCabeza = tablaCabeza + "<tbody>";
            for (i = 0; i < cadenaCodAulas.length; i++) {
               numero = i + 1;
               contenido = contenido + "<tr>";
               contenido = contenido + "<td align='center'>" + numero + "</td>" + cadenaNomAulas[i];
               if (numero == 1) {
                  if (cadenaCodAulas.length == 1) {
                     contenido = contenido + "<td align='center'><i class='ace-icon fa fa-ban icon-on-right bigger-110 red'></i></td>";
                  } else {
                     contenido = contenido + "<td align='center'><a title='Bajar' class='regular' href='javascript:bajar(" + i + ");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
                  }

               } else if (numero == cadenaCodAulas.length) {
                  contenido = contenido + "<td align='center'><a title='Subir' class='regular' href='javascript:subir(" + i + ");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a></td>";
               } else {
                  contenido = contenido + "<td align='center'><a title='Subir' class='regular' href='javascript:subir(" + i + ");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a> <a title='Bajar' class='regular' href='javascript:bajar(" + i + ");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
               }
               contenido = contenido + "</tr>";

               // "<a title='Agregar' class='regular' href='javascript:subir(1);'><i class='ace-icon fa fa-calendar icon-on-right bigger-110 red'></i></a>";
            }
            tablapie = "</table>";

            if (codAulasF == "") {
               $("#aulaSeleccionadas").html("");
            } else {
               $("#aulaSeleccionadas").html(tablaCabeza + "" + contenido + "" + tablapie);
            }

            $("#cantSelec").val(cadenaCodAulas.length);

         }


         function bajar(key) {
            var codAulasF = $("#codAulas").val();
            var nomAulasF = $("#nomAulas").val();
            var cadenaCodAulas = codAulasF.split("#");
            var cadenaNomAulas = nomAulasF.split("#");

            var newCadenaCodAula = "";
            var newCadenaNomAula = "";

            var canMax = cadenaCodAulas.length - 1;
            var datoCodSele = "";
            var datoNomSele = "";
            var keyNext = key + 1;

            for (i = 0; i < cadenaCodAulas.length; i++) {
               if (i == key) {
                  datoCodSele = cadenaCodAulas[i];
                  datoNomSele = cadenaNomAulas[i];
               } else if (i == keyNext) {
                  if (newCadenaCodAula == "") {
                     newCadenaCodAula = cadenaCodAulas[i] + "#" + datoCodSele;
                     newCadenaNomAula = cadenaNomAulas[i] + "#" + datoNomSele;
                  } else {
                     newCadenaCodAula = newCadenaCodAula + "#" + cadenaCodAulas[i] + "#" + datoCodSele;
                     newCadenaNomAula = newCadenaNomAula + "#" + cadenaNomAulas[i] + "#" + datoNomSele;
                  }
               } else {
                  if (i == 0) {
                     newCadenaCodAula = cadenaCodAulas[i];
                     newCadenaNomAula = cadenaNomAulas[i];
                  } else {
                     newCadenaCodAula = newCadenaCodAula + "#" + cadenaCodAulas[i];
                     newCadenaNomAula = newCadenaNomAula + "#" + cadenaNomAulas[i];
                  }
               }
            }

            $("#codAulas").val(newCadenaCodAula);
            $("#nomAulas").val(newCadenaNomAula);



            var codAulas = $("#codAulas").val();
            var nomAulas = $("#nomAulas").val();
            var cadenaCodAulasF = codAulas.split("#");
            var cadenaNomAulasF = nomAulas.split("#");


            var tablaCabeza = "";
            var tablapie = "";
            var contenido = "";
            var numero = 0;


            tablaCabeza = "<div style='border: 1px solid #CCCCCC;'>";
            tablaCabeza = tablaCabeza + "<div class='table-header'  style='background-color:#2C8E52;'>";
            tablaCabeza = tablaCabeza + "<table width='100%' height='60'>";
            tablaCabeza = tablaCabeza + "<tbody>";
            tablaCabeza = tablaCabeza + "<tr>";
            tablaCabeza = tablaCabeza + "<td>Aulas Seleccionadas</td>";
            tablaCabeza = tablaCabeza + "<td align='right' >";
            tablaCabeza = tablaCabeza + "<button class='btn btn-sm btn-white btn-success' type='button' onclick='validar_armado();' >";
            tablaCabeza = tablaCabeza + "<i class='ace-icon fa fa-check icon-on-right bigger-110'></i>";
            tablaCabeza = tablaCabeza + "Armar Horario";
            tablaCabeza = tablaCabeza + "</button>";
            tablaCabeza = tablaCabeza + "</td>";
            tablaCabeza = tablaCabeza + "<td width='10'></td>";
            tablaCabeza = tablaCabeza + "</tr>";
            tablaCabeza = tablaCabeza + "</tbody>";
            tablaCabeza = tablaCabeza + "</table>";
            tablaCabeza = tablaCabeza + "</div>";
            tablaCabeza = tablaCabeza + "<div>";
            tablaCabeza = tablaCabeza + "<div class='dataTables_wrapper form-inline no-footer' id='sample-table-2_wrapper'>";
            tablaCabeza = tablaCabeza + "<table class='table table-striped table-bordered table-hover dataTable no-footer' id='sample-table-2' role='grid' aria-describedby='sample-table-2_info' >";
            tablaCabeza = tablaCabeza + "<thead>";
            tablaCabeza = tablaCabeza + "<tr role='row'>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1' >N°</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>SEDE</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO CENTRO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>CENTRO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>NIVEL</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO GRADO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>GRADO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>SECCIÓN</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TURNO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>ELIMINAR</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>ACCIÓN</th>";
            tablaCabeza = tablaCabeza + "</tr>";
            tablaCabeza = tablaCabeza + "</thead>";
            tablaCabeza = tablaCabeza + "<tbody>";
            for (i = 0; i < cadenaCodAulasF.length; i++) {
               numero = i + 1;
               contenido = contenido + "<tr>";
               contenido = contenido + "<td align='center'>" + numero + "</td>" + cadenaNomAulasF[i];
               if (numero == 1) {
                  contenido = contenido + "<td align='center'><a title='Bajar' class='regular' href='javascript:bajar(" + i + ");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
               } else if (numero == cadenaCodAulasF.length) {
                  contenido = contenido + "<td align='center'><a title='Subir' class='regular' href='javascript:subir(" + i + ");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a></td>";
               } else {
                  contenido = contenido + "<td align='center'><a title='Subir' class='regular' href='javascript:subir(" + i + ");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a> <a title='Bajar' class='regular' href='javascript:bajar(" + i + ");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
               }
               contenido = contenido + "</tr>";

               // "<a title='Agregar' class='regular' href='javascript:subir(1);'><i class='ace-icon fa fa-calendar icon-on-right bigger-110 red'></i></a>";
            }
            tablapie = "</table>";

            $("#aulaSeleccionadas").html(tablaCabeza + "" + contenido + "" + tablapie);
         }

         function subir(key) {
            var codAulasF = $("#codAulas").val();
            var nomAulasF = $("#nomAulas").val();
            var cadenaCodAulas = codAulasF.split("#");
            var cadenaNomAulas = nomAulasF.split("#");

            var newCadenaCodAula = "";
            var newCadenaNomAula = "";

            var canMax = cadenaCodAulas.length - 1;
            var datoCodSele = "";
            var datoNomSele = "";
            var datoCodSelePost = "";
            var datoNomSelePost = "";
            var keyPost = key - 1;

            for (i = 0; i < cadenaCodAulas.length; i++) {
               if (i == key) {
                  if (newCadenaCodAula == "") {
                     newCadenaCodAula = cadenaCodAulas[i] + "#" + datoCodSelePost;
                     newCadenaNomAula = cadenaNomAulas[i] + "#" + datoNomSelePost;
                  } else {
                     newCadenaCodAula = newCadenaCodAula + "#" + cadenaCodAulas[i] + "#" + datoCodSelePost;
                     newCadenaNomAula = newCadenaNomAula + "#" + cadenaNomAulas[i] + "#" + datoNomSelePost;
                  }
               } else if (i == keyPost) {
                  datoCodSelePost = cadenaCodAulas[i];
                  datoNomSelePost = cadenaNomAulas[i];
               } else {
                  if (i == 0) {
                     newCadenaCodAula = cadenaCodAulas[i];
                     newCadenaNomAula = cadenaNomAulas[i];
                  } else {
                     newCadenaCodAula = newCadenaCodAula + "#" + cadenaCodAulas[i];
                     newCadenaNomAula = newCadenaNomAula + "#" + cadenaNomAulas[i];
                  }
               }
            }

            $("#codAulas").val(newCadenaCodAula);
            $("#nomAulas").val(newCadenaNomAula);



            var codAulas = $("#codAulas").val();
            var nomAulas = $("#nomAulas").val();
            var cadenaCodAulasF = codAulas.split("#");
            var cadenaNomAulasF = nomAulas.split("#");


            var tablaCabeza = "";
            var tablapie = "";
            var contenido = "";
            var numero = 0;


            tablaCabeza = "<div style='border: 1px solid #CCCCCC;'>";
            tablaCabeza = tablaCabeza + "<div class='table-header'  style='background-color:#2C8E52;'>";
            tablaCabeza = tablaCabeza + "<table width='100%' height='60'>";
            tablaCabeza = tablaCabeza + "<tbody>";
            tablaCabeza = tablaCabeza + "<tr>";
            tablaCabeza = tablaCabeza + "<td>Aulas Seleccionadas</td>";
            tablaCabeza = tablaCabeza + "<td align='right' >";
            tablaCabeza = tablaCabeza + "<button class='btn btn-sm btn-white btn-success' type='button' onclick='validar_armado();' >";
            tablaCabeza = tablaCabeza + "<i class='ace-icon fa fa-check icon-on-right bigger-110'></i>";
            tablaCabeza = tablaCabeza + "Armar Horario";
            tablaCabeza = tablaCabeza + "</button>";
            tablaCabeza = tablaCabeza + "</td>";
            tablaCabeza = tablaCabeza + "<td width='10'></td>";
            tablaCabeza = tablaCabeza + "</tr>";
            tablaCabeza = tablaCabeza + "</tbody>";
            tablaCabeza = tablaCabeza + "</table>";
            tablaCabeza = tablaCabeza + "</div>";
            tablaCabeza = tablaCabeza + "<div>";
            tablaCabeza = tablaCabeza + "<div class='dataTables_wrapper form-inline no-footer' id='sample-table-2_wrapper'>";
            tablaCabeza = tablaCabeza + "<table class='table table-striped table-bordered table-hover dataTable no-footer' id='sample-table-2' role='grid' aria-describedby='sample-table-2_info' >";
            tablaCabeza = tablaCabeza + "<thead>";
            tablaCabeza = tablaCabeza + "<tr role='row'>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1' >N°</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>SEDE</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO CENTRO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>CENTRO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>NIVEL</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO GRADO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>GRADO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>SECCIÓN</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>TURNO</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>ELIMINAR</th>";
            tablaCabeza = tablaCabeza + "<th tabindex='0' class='center' rowspan='1' colspan='1'>ACCIÓN</th>";
            tablaCabeza = tablaCabeza + "</tr>";
            tablaCabeza = tablaCabeza + "</thead>";
            tablaCabeza = tablaCabeza + "<tbody>";
            for (i = 0; i < cadenaCodAulasF.length; i++) {
               numero = i + 1;
               contenido = contenido + "<tr>";
               contenido = contenido + "<td align='center'>" + numero + "</td>" + cadenaNomAulasF[i];
               if (numero == 1) {
                  contenido = contenido + "<td align='center'><a title='Bajar' class='regular' href='javascript:bajar(" + i + ");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
               } else if (numero == cadenaCodAulasF.length) {
                  contenido = contenido + "<td align='center'><a title='Subir' class='regular' href='javascript:subir(" + i + ");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a></td>";
               } else {
                  contenido = contenido + "<td align='center'><a title='Subir' class='regular' href='javascript:subir(" + i + ");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a> <a title='Bajar' class='regular' href='javascript:bajar(" + i + ");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
               }
               contenido = contenido + "</tr>";

               // "<a title='Agregar' class='regular' href='javascript:subir(1);'><i class='ace-icon fa fa-calendar icon-on-right bigger-110 red'></i></a>";
            }
            tablapie = "</table>";

            $("#aulaSeleccionadas").html(tablaCabeza + "" + contenido + "" + tablapie);
            //setTimeout(actual(),3000);
         }

         /*function actual(){
          var codAulas = $("#codAulas").val();
          var nomAulas = $("#nomAulas").val();
          var cadenaCodAulasF = codAulas.split("#");
          var cadenaNomAulasF = nomAulas.split("#");
          
          
          var tablaCabeza = "";
          var tablapie = "";
          var contenido = "";
          var numero = 0;
          
          
          tablaCabeza = "<div style='border: 1px solid #CCCCCC;'>";
          tablaCabeza = tablaCabeza+"<div class='table-header'  style='background-color:#2C8E52;'>";
          tablaCabeza = tablaCabeza+"<table width='100%' height='60'>";
          tablaCabeza = tablaCabeza+"<tbody>";
          tablaCabeza = tablaCabeza+"<tr>";
          tablaCabeza = tablaCabeza+"<td>Aulas Seleccionadas</td>";
          tablaCabeza = tablaCabeza+"<td align='right' >";
          tablaCabeza = tablaCabeza+"<button class='btn btn-sm btn-white btn-success' type='button' onclick='validar_armado();' >";
          tablaCabeza = tablaCabeza+"<i class='ace-icon fa fa-check icon-on-right bigger-110'></i>";
          tablaCabeza = tablaCabeza+"Armar Horario";
          tablaCabeza = tablaCabeza+"</button>";
          tablaCabeza = tablaCabeza+"</td>";
          tablaCabeza = tablaCabeza+"<td width='10'></td>";
          tablaCabeza = tablaCabeza+"</tr>";
          tablaCabeza = tablaCabeza+"</tbody>";
          tablaCabeza = tablaCabeza+"</table>";
          tablaCabeza = tablaCabeza+"</div>";
          tablaCabeza = tablaCabeza+"<div>";
          tablaCabeza = tablaCabeza+"<div class='dataTables_wrapper form-inline no-footer' id='sample-table-2_wrapper'>";
          tablaCabeza = tablaCabeza+"<table class='table table-striped table-bordered table-hover dataTable no-footer' id='sample-table-2' role='grid' aria-describedby='sample-table-2_info' >";
          tablaCabeza = tablaCabeza+"<thead>";
          tablaCabeza = tablaCabeza+"<tr role='row'>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1' >N°</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>SEDE</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO CENTRO</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>CENTRO</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>NIVEL</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>TIPO GRADO</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>GRADO</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>SECCIÓN</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>TURNO</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>ELIMINAR</th>";
          tablaCabeza = tablaCabeza+"<th tabindex='0' class='center' rowspan='1' colspan='1'>ACCIÓN</th>";
          tablaCabeza = tablaCabeza+"</tr>";
          tablaCabeza = tablaCabeza+"</thead>";
          tablaCabeza = tablaCabeza+"<tbody>";
          for(i=0;i<cadenaCodAulasF.length;i++){
          numero = i+1;
          contenido = contenido+"<tr>";
          contenido = contenido+"<td align='center'>"+numero+"</td>"+cadenaNomAulasF[i];
          if(numero==1){
          contenido = contenido+"<td align='center'><a title='Bajar' class='regular' href='javascript:bajar("+i+");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
          }else if(numero==cadenaCodAulasF.length){
          contenido = contenido+"<td align='center'><a title='Subir' class='regular' href='javascript:subir("+i+");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a></td>";
          }else{
          contenido = contenido+"<td align='center'><a title='Subir' class='regular' href='javascript:subir("+i+");'><i class='ace-icon fa fa-arrow-up icon-on-right bigger-110 green'></i></a> <a title='Bajar' class='regular' href='javascript:bajar("+i+");'><i class='ace-icon fa fa-arrow-down icon-on-right bigger-110 green'></i></a></td>";
          }
          contenido = contenido+"</tr>";
          
          // "<a title='Agregar' class='regular' href='javascript:subir(1);'><i class='ace-icon fa fa-calendar icon-on-right bigger-110 red'></i></a>";
          }
          tablapie = "</table>";
          
          $("#aulaSeleccionadas").html(tablaCabeza+""+contenido+""+tablapie);
          }
          
          */

         function validar_armado_individual(cantSelec, codAulas) {
            var dato = 0;
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=armarHorarioAulas2',
               data: 'codAulas=' + codAulas + '&cantSelec=' + cantSelec,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  if (resultado == 0) {
                     dato = 0;
                     advertencia3();
                  } else if (resultado == 1) {
                     dato = 0;
                     advertencia4();
                  } else {
                     dato = 1;
                     $('#divRegistro').html(resultado);
                  }
               }, complete: function () {
                  if (dato != 0) {
                     limpiarVistaPrevia();
                     armarHorario(cantSelec, codAulas);
                     //primeracargarGrupo(cantSelec,codAulas);
                  }
               }
            });
            /*var dato =0;
             $.ajax({
             type: 'POST',
             url:  '../ServletHorario?Accion=armarHorarioAulas',
             data: 'codAulas='+codAulas+'&cantSelec='+cantSelec,
             beforeSend: function() {
             cargando();
             },success:function(resultado){
             close_carga();
             if(resultado==0){
             dato = 0;
             advertencia3();
             }else if(resultado==1){
             dato = 0;
             advertencia4();
             }else{
             dato=1;
             $('#divRegistro').html(resultado);
             }
             },complete:function(){
             if(dato!=0){
             limpiarVistaPrevia();
             armarHorario(cantSelec,codAulas);//primeracargarGrupo(cantSelec,codAulas);
             }
             }
             });*/
         }


         function validar_armado() {
            var cantSelec = $("#cantSelec").val();
            var codAulas = $("#codAulas").val();
            var dato = 0;
            //alert(cantSelec+" - "+codAulas);
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=armarHorarioAulas2',
               data: 'codAulas=' + codAulas + '&cantSelec=' + cantSelec,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  if (resultado == 0) {
                     dato = 0;
                     advertencia3();
                  } else if (resultado == 1) {
                     dato = 0;
                     advertencia4();
                  } else {
                     dato = 1;
                     $('#divRegistro').html(resultado);
                  }
               }, complete: function () {
                  if (dato != 0) {
                     limpiarVistaPrevia();
                     armarHorario(cantSelec, codAulas);
                     //primeracargarGrupo(cantSelec,codAulas);
                  }
               }
            });
            /*$.ajax({
             type: 'POST',
             url:  '../ServletHorario?Accion=armarHorarioAulas',
             data: 'codAulas='+codAulas+'&cantSelec='+cantSelec,
             beforeSend: function() {
             cargando();
             },success:function(resultado){
             close_carga();
             if(resultado==0){
             dato = 0;
             advertencia3();
             }else if(resultado==1){
             dato = 0;
             advertencia4();
             }else{
             dato=1;
             $('#divRegistro').html(resultado);
             }
             },complete:function(){
             if(dato!=0){
             limpiarVistaPrevia();
             armarHorario(cantSelec,codAulas);
             //primeracargarGrupo(cantSelec,codAulas);
             }
             }
             });
             */
         }

         function advertencia3() {
            $("#dialog-advertencia3").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function advertencia4() {
            $("#dialog-advertencia4").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function primeracargarGrupo() {
            var bloque = $("#bloque").val();
            var turno = $("#turno").val();
            var nombre = "grupo";
            var accion = "limpiarVistaPrevia();";
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=cargarGrupoBloqueArmado2',
               data: 'codBlo=' + bloque + '&nombre=' + nombre + '&accion=' + accion + '&turno=' + turno,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $('#divGrupo').html(resultado);
               }, complete: function () {

               }
            });
         }

         function armarHorario(cantSelec, codAulas) {
            $("#dialog-armar1").removeClass('hide').dialog({
               resizable: false,
               width: 700,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Armado de Horario</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ARMAR HORARIO",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        validar_Generarhorario(cantSelec, codAulas);
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function cargarGrupo() {
            var bloque = $("#bloque").val();
            var nombre = "grupo";
            var accion = "limpiarVistaPrevia();";
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=cargarGrupoBloque',
               data: 'codBlo=' + bloque + '&nombre=' + nombre + '&accion=' + accion,
               beforeSend: function () {
                  cargando();
               }, success: function (resultado) {
                  close_carga();
                  $('#divGrupo').html(resultado);
               }, complete: function () {
                  limpiarVistaPrevia();
               }
            });
         }

         function limpiarVistaPrevia() {
            $('#divVistaPrevia').html("");
            //$('#divVistaPrevia').fadeIn();
         }

         function validar_mostrarHorario() {
            var estado = $('#RegistroArmado').validationEngine('validate');
            if (estado) {
               mostrarHorario();
            }
         }

         function mostrarHorario() {
            var grupo = $("#grupo").val();
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=armarGrupoHorarioGenerar2',
               data: 'codGruBlo=' + grupo,
               success: function (resultado) {
                  $('#divVistaPrevia').html(resultado);
               }, complete: function () {
                  $('#divVistaPrevia').fadeIn();
               }
            });
         }

         function validar_Generarhorario(cantSelec, codAulas) {
            var estado = $('#RegistroArmado').validationEngine('validate');
            var vista = $('#divVistaPrevia').html();
            if (estado) {
               if (vista == "") {
                  advertencia2();//alert("Debe mostar el bloque escogido.");
               } else {
                  generarHorario(cantSelec, codAulas);
               }
            }
         }

         function advertencia2() {
            $("#dialog-advertencia2").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               title: "<div class='widget-color-orange' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-exclamation-triangle white'></i> <span class='white'>Advertencia</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-warning btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function generarHorario(cantSelec, codAulas) {
            var cadenaAulas = "";
            var cadena = $("#cadenaGrupo").val();
            var codigo = $("#grupo").val();
            //alert(cantSelec+"\n"+codAulas+"\n"+cadena+"\n"+codigo);
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=sessionArmadoHorario2',
               data: 'cantSelec=' + cantSelec + '&codAulas=' + codAulas + '&cadena=' + cadena + '&codigo=' + codigo + '&cadenaAulas=' + cadenaAulas,
               success: function (resultado) {
               }, complete: function () {
                  window.location = "arm_hor_gen.jsp";
               }
            });
         }
         //desactivar funcion si es jramirez
         function editar(cantSelec, codAulas, grupo) {
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=listarGrupoAulas',
               data: 'codAulas=' + codAulas + '&periodo=' + periodo + '&codigoGrupo=' + grupo,
               success: function (resultado) {
                  //alert(resultado);
                  $("#divGrupoAula").html(resultado);
               }, complete: function () {
                  var cadenaAulas = $("#cadenaAulas").val();
                  popup_editar(cantSelec, codAulas, grupo, cadenaAulas);
               }
            });

         }


         function popup_editar(cantSelec, codAulas, grupo, cadenaAulas) {
            $("#dialog-edit").removeClass('hide').dialog({
               resizable: false,
               width: 900,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Edición</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; INDIVIDUAL",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        editarIndividual(cantSelec, codAulas, grupo, cadenaAulas);
                     }
                  }, {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; CANCELAR",
                     "class": "btn btn-danger btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function editarGrupo(cantSelec, cadenaAula, codigo) {
            var cadenaAulas = '';
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=sessionArmadoHorario3',
               data: 'cantSelec=' + cantSelec + '&codAulas=' + cadenaAula + '&codigo=' + codigo + '&cadenaAulas=' + cadenaAulas,
               success: function (resultado) {

               }, complete: function () {
                  window.location = "arm_hor_gen.jsp";
               }
            });

         }


         function editarIndividual(cantSelec, codAulas, grupo, cadenaAulas) {
            var codigo = grupo;

            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=sessionArmadoHorario3',
               data: 'cantSelec=' + cantSelec + '&codAulas=' + codAulas + '&codigo=' + codigo + '&cadenaAulas=' + cadenaAulas,
               success: function (resultado) {
               }, complete: function () {
                  window.location = "arm_hor_gen.jsp";
               }
            });


         }

         function abrirPlanAcademico() {
            //alert("dialog-planAcademico")
            cargarMatematica();
            cargarComunicacion();
            cargarCiencias();
            cargarCTA();
            cargarCEF();
            $("#dialog-planAcademico").removeClass('hide').dialog({
               resizable: false,
               modal: true,
               width: '550',
               height: '360',
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Plan Academico</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-cogs bigger-110'></i>&nbsp; Aceptar",
                     "class": "btn btn-primary btn-xs",
                     click: function () {


//							console.log($("#cboMatematica").select2('val'))
//							console.log($("#cboComunicacion").select2('val'))
//							console.log($("#cboCiencias").select2('val'))
//							console.log($("#cboCTA").select2('val'))
//							console.log($("#cboCEF").select2('val'))
                        let arrayMatematica = $("#cboMatematica").select2('val')
                        let arrayComunicacion = $("#cboComunicacion").select2('val')
                        let arrayCiencias = $("#cboCiencias").select2('val')
                        let arrayCTA = $("#cboCTA").select2('val')
                        let arrayCEF = $("#cboCEF").select2('val')

                        guardarPlanAcademico(arrayMatematica, arrayComunicacion, arrayCiencias, arrayCTA, arrayCEF);


                        $(this).dialog("close");
                     }
                  },
                  {
                     html: "<i class='ace-icon fa fa-cogs bigger-110'></i>&nbsp; Cancelar",
                     "class": "btn btn-danger btn-xs",
                     click: function () {


                        $(this).dialog("close");
                     }
                  }
               ]
            });

         }

         function guardarPlanAcademico(arrayMatematica, arrayComunicacion, arrayCiencias, arrayCTA, arrayCEF) {

            //	for(var i=0;i<arrayMatematica.length;i++){
            console.log(arrayMatematica)
            console.log(arrayComunicacion)
            console.log(arrayCiencias)
            console.log(arrayCTA)
            console.log(arrayCEF)
//				let a = [1,2,3,4];
//				
//				
//				JSONObject jsonObject = new JSONObject(jsonString);
//				JSONOArray arrayMatematica = jsonObject.getJSONArray("arrayMatematica");
//				
//				JSONOArray arrayMatematica = jsonObject.getJSONArray("arrayLenguaje");
//				
//				JSONOArray arrayMatematica = jsonObject.getJSONArray("arrayCiencias");
//				
//				JSONOArray arrayMatematica = jsonObject.getJSONArray("arrayMatematica");

//				for (int i=0;i<){
//		      insert into   (arrayMatematica.get(i))			 + arrray
//		     }
//				 var array = new Array(arrayMatematica,arrayComunicacion,arrayCiencias,arrayCTA,arrayCEF);
//				 console.log(array)
//				 let json = {
//						arrayMatematica: a
//						}
//				 
//				 
//						
//						console.log(final)


//				   $.ajax({
//						 type: 'POST',
//						 url: "../ServletPlanAcademico?accion=guardarPlanAcademico",
//						 data: {
//							 arrayMatematica:arrayMatematica,
//							 arrayComunicacion:arrayComunicacion,
//							 arrayCiencias:arrayCiencias,
//							 arrayCTA:arrayCTA,
//							 arrayCEF:arrayCEF
//						 },success: function (data, textStatus, jqXHR) {
//                        
//             }
//					 });


         }



         function verHorario(cantSelec, codAulas, grupo) {
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=armadoHorarioGeneral2Ver',
               data: 'cantidad=' + cantSelec + '&codAulas=' + codAulas + '&codigo=' + grupo,
               success: function (resultado) {
                  $("#popupAula").html(resultado);
               }, complete: function () {
                  popupHorario();
               }
            });
         }

         /*function verHorario(cantSelec,codAulas,grupo){
          var cantidad=cantSelec;
          var codAulas=codAulas;
          var codBlo="1";
          var codGru=grupo;
          $.ajax({
          type:'POST',
          url:'../ServletHorario?Accion=armadoHorarioGeneralVer',
          data: 'cantidad='+cantidad+'&codAulas='+codAulas+'&codBlo='+codBlo+'&codGru='+codGru,
          success:function(resultado){
          $("#popupAula").html(resultado);
          },complete:function(){
          popupHorario();
          }
          });
          
          }*/


         function popupHorario() {
            $("#dialog-horario").removeClass('hide').dialog({
               resizable: false,
               width: 1100,
               modal: true,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Horario</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-times bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-info btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function exportar(cantidad, codaula, codigoGrupo, periodo) {
            //window.location="exportarHorarioPeriodo.jsp?codAula="+codA+"&nom="+nombre+"&turno="+turno+"&periodo="+periodo; 
            window.location = "exportarHorarioPeriodo2.jsp?cantidad=" + cantidad + "&codAula=" + codaula + "&codigoGrupo=" + codigoGrupo + "&periodo=" + periodo;
         }

         function exportarTodoSede() {
            var codSede = $("#cmbSede").val();
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            //alert(codSede);
            window.location = "exportarHorarioTodoPeriodo2.jsp?codSede=" + codSede + "&periodo=" + periodo;
         }

         function exportarTodo_i() {
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            window.location = "exportarHorarioTodoPeriodoSedes2.jsp?periodo=" + periodo;
         }

         function exportarTodo() { //--2DOgrado
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            let op = $("#cmbSede").val();
            window.location = "exportarHorarioTodoPeriodoSedes2doGrado.jsp?periodo=" + periodo + "&parte=" + op;
         }


         function questionPart() {

         }




         /*function exportarTodo(){
          var codSede = $("#cmbSede").val();
          var codTipoCentro = $("#cmbTipoCentro").val();
          var codCentro = $("#cmbcentro").val();
          var codNivel = $("#cmbnivel").val();
          var codTipoGrado = $("#cmbtipogrado").val();
          var codGrado = $("#cmbgrado").val();
          var codSeccion = $("#cmbSeccion").val();
          var codTurno = $("#cmbturno").val();  
          var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
          window.location="exportarHorarioTodoPeriodo.jsp?codSede="+codSede+"&codTipoCentro="+codTipoCentro+"&codCentro="+codCentro+"&codNivel="+codNivel+"&codTipoGrado="+codTipoGrado+"&codGrado="+codGrado+"&codSeccion="+codSeccion+"&codTurno="+codTurno+"&periodo="+periodo; 
          }*/

         function historial(aula) {
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            $.ajax({
               type: 'POST',
               url: '../ServletHorario?Accion=armarHistorial',
               data: 'aula=' + aula + '&periodo=' + periodo,
               success: function (resultado) {
                  $("#historia").html(resultado);
               }, complete: function () {
                  popupHistorial();
               }
            });

         }

         function popupHistorial() {
            $("#dialog-historial").removeClass('hide').dialog({
               resizable: false,
               width: 1200,
               height: 500,
               modal: false,
               title: "<div class='widget-color-blue' ><div class='widget-header white' ><h4 class='smaller' ><i class='ace-icon fa fa-check-circle white'></i> <span class='white'>Historial</span></h4></div></div>",
               title_html: true,
               buttons: [
                  {
                     html: "<i class='ace-icon fa fa-check bigger-110'></i>&nbsp; ACEPTAR",
                     "class": "btn btn-primary btn-xs",
                     click: function () {
                        $(this).dialog("close");
                     }
                  }
               ]
            });
         }

         function exportarHistorial(codAula) {
            var periodo = "<%=periodo!=null?periodo.getCodigoPeriodo():""%>";
            window.location = "exportarHistorial.jsp?codAula=" + codAula + "&periodo=" + periodo;
         }

         function ocultarBoton() {
            let op = $("#cmbSede").val();
            if (op === "todo") {
               $("#")
            }
         }



    </script>


    <!-- the following scripts are used in demo only for onpage help and you don't need them -->

    <link rel="stylesheet" href="../assets/css/ace.onpage-help.css" />
    <link rel="stylesheet" href="../docs/assets/js/themes/sunburst.css" />

    <script type="text/javascript"> ace.vars['base'] = '..';</script>
    <script src="../assets/js/ace/elements.onpage-help.js"></script>
    <script src="../assets/js/ace/ace.onpage-help.js"></script>
    <script src="../docs/assets/js/rainbow.js"></script>
    <script src="../docs/assets/js/language/generic.js"></script>
    <script src="../docs/assets/js/language/html.js"></script>
    <script src="../docs/assets/js/language/css.js"></script>
    <script src="../docs/assets/js/language/javascript.js"></script>
    <script src="../assets/js/select2.js" type="text/javascript"></script>


    <script src="js/languages/jquery.validationEngine-es.js" type="text/javascript" charset="utf-8"></script>
    <script src="js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
    <script src="js/pages/cargarCombosArea.js" type="text/javascript"></script>
    <!--<script src="style/jquery.kolorpicker.js" type="text/javascript"></script>
    <link rel="stylesheet" href="style/kolorpicker.css" type="text/css" media="screen, tv, projection, print" />
    -->

    <script type="text/javascript" language="javascript" src="js/colorPicker.js"></script>
    <link rel="stylesheet" href="css/colorPicker.css" type="text/css"></link>

    <style>
      a {
        text-decoration: none;
      }
    </style>
    <script>
//			cargarMatematica()
    </script>

</html>
